About ABBYY FormDesigner

About ABBYY FormDesigner 9.0

ABBYY FormDesigner 9.0 is a software application for creating machine-readable forms that will be processed using ABBYY FlexiCapture 9.0, a forms processing application. Form design is an important stage of form creation, because all the other stages – scanning, recognition, verification, and export – depend on the "correctness" of the initial form and its suitability for machine processing.

Unlike other editors, such as MS Visio, CorelDRAW, or MS Word, ABBYY FormDesigner 9.0 has been developed specifically for creating machine-readable forms. Despite the extensive functionality of the aforementioned applications, their users need to take additional measures to make sure that their forms meet the machine-readability requirements – measure form elements, monitor their shape and location on the form, etc.

The program has a straightforward user-friendly interface and includes easy-to-use yet powerful tools for creating standard elements commonly found on machine-readable forms. The application allows you to create black and white as well as color dropout forms. Form elements created in ABBYY FormDesigner 9.0 will be automatically designed with machine input in mind. Moreover, the program will check each created form to ensure that it can be successfully processed by computer. All this means that you will be able to create machine-readable forms quickly and easily – the program will do the most wearisome job for you.

Once you have created a form in ABBYY FormDesigner 9.0, you practically get a ready form description which can be used to create a template in ABBYY FlexiCapture 9.0. (Templates describe form elements and tell data capture applications where to look for particular types of information on the form, thereby ensuring correct and reliable recognition of entered data by the program.)

Therefore ABBYY FormDesigner 9.0 carries out two tasks: it makes form development easy and simplifies the ABBYY FlexiCapture 9.0 setup process, enabling ABBYY FlexiCapture 9.0 to process forms created in ABBYY FormDesigner 9.0 with minimum human involvement.

ABBYY FormDesigner 9.0 allows you to publish your forms (i.e. protect them from accidental change or editing), as well as to save your forms in various image formats before sending them to a printing shop.


What's New in ABBYY FormDesigner 8.0

What's New in ABBYY FormDesigner 9.0

ABBYY FormDesigner 9.0 includes the following new features:

    Form creation

  • The new Quick Start dialog box opens when you start the application. It allows you to start working with the application immediately, prompting you to choose from among the most commonly used commands: open a file, open a file from the list of recently used files, create a new form, create a form based on a form sample, or start the Form Creation Wizard.

  • The Form Wizard has been improved, and now allows populating the form with standard elements and previewing it.

  • The Import from PDF function allows importing form layouts created in other programs (Adobe Acrobat Professional, Microsoft Visio, CorelDRAW, Microsoft Word) to ABBYY FormDesigner for subsequent processing in ABBYY FlexiCapture.

    Form editing

  • New buttons have been added to the Design Tools toolbar : Hide All Rulers and Delete All Rulers.

  • New text editing functions have been added (available via the shortcut menus of text fields):

    - character spacing (stretch/compress text horizontally)

    - line spacing (for multi-line text fields)

    - various text formatting options (style, font size, etc.) within one text field

    Form export

  • Forms can now be exported to PDF (with the ability to select export options), InfoPath, and AI format (Adobe Illustrator).

    Form completion

  • Now, using the program interface, you can distribute the form as a PDF file by e-mail, save it, or publish it on your website. You can also select a response method, inviting users to submit completed forms by e-mail or to your website. The Form Distribution Wizard will guide you through all the steps required to create a form.

  • When filled-out forms are received on the website, they are automatically processed on the server. The data entered into the same form by different users are saved to one CSV file.

    Miscellaneous

  • Now you can Send your feedback from the main window. Your feedback will be greatly appreciated.

The following features were added in ABBYY FormDesigner 9.0:

  • Support for multi-page forms

  • Sample-based form creation

  • Creation of color dropout forms

  • Two new from elements: table and group of elements

  • Rulers for element adjustment

  • Saving images in ELF format

  • Ability to edit document structures

  • Ability to print partially filled-out forms


Installing, Running, and Removing FormDesigner

Installing, Running, and Removing ABBYY FormDesigner 9.0

ABBYY FormDesigner 9.0 is installed and removed together with ABBYY FlexiCapture 9.0.

To run ABBYY FormDesigner 9.0, select the ABBYY FormDesigner 9.0 item in Start/Programs/ABBYY FlexiCapture 9.0/Tools.


Main Application Window

When you start ABBYY FormDesigner 9.0, the main window appears, together with the Quick Start dialog box. The Quick Start dialog box allows you to start working immediately, prompting you to choose from among the most commonly used commands: Open a file, Recent files, Create a new form, create a form Form from template or start the Form Creation Wizard.

Show me the Main Application Window

The Menu bar contains the following menus: File, Edit, View, Form, Elements, Tools, and Help.

You can show/hide interface elements using the View menu.

The Standard toolbar contains buttons for the most common tasks.

The Design Tools toolbar contains buttons for editing form elements.

The Formatting toolbar contains buttons and commands for formatting text.

The Form Elements toolbar contains buttons for adding elements to the form.

The Ruler is a bar marked off in units of measure that is used as an editing aid for exact positioning and alignment of form elements.

The Form window displays the current form. Only one form can be displayed at a given moment.

Document Structure. This pane displays the hierarchy of the fields of a document. Each field has one or more elements linked to it.

Properties window. In this window, you can view and change the properties of the selected element. The tabs displayed in this window depend on the type of element currently selected. To open a tab, click on its name to the right.

The Status bar displays information about the current element: the coordinates of the top left corner of the element in mm, the size of the element in mm, additional information about the element (the type of the element). Page type and size is also displayed on the Status bar. Additional information (number of character cells in each row and column) is available for entry fields, date fields and numeric fields.


Customizing the Main Application Window

You can change the appearance of the main application window by selecting the Options… item on the Tools menu.

Show me the Options dialog box

Option

Description

View

Interface language

Selects an interface language. This language will be used for all program messages, dialog box titles and menu items. For the changes to take effect, click OK and re-run ABBYY FormDesigner 9.0.
By default, the interface language is the same as the language you selected during installation.

Grid

Show grid

Displays the grid.

The option is not checked by default.

Width

Sets the width of grid cells in mm.

Default value is 2 mm.

Height

Sets the height of grid cells in mm.

Default value is 2 mm.

Snap to grid

Snaps the top left corner of newly created elements to the nearest grid node. When moving a form element, it will also be snapped to the nearest grid node.

Color

Changes the color of the margins, rulers and the background of the edited text as displayed on the screen. In the Items pane, select an element and click the color rectangle below. In the Color dialog box that appears, select the desired color.

Show ruler

Shows/hides the ruler.

Show margins

Shows/hides the form margins.

Text Editor

Tab width

Sets the number of spaces that will be inserted in the text editor when you press the Tab key.

Export

XFD

Image storing format in xfd-file

From the drop-down list, select the format in which your form image will be saved when exporting to an XFD file. You have two choices:

  • EMF
  • TIFF

Image

Resolution of TIFF files

Sets a resolution for TIFF files into which a forms are exported.


File Menu

Item | Description
New… | Opens the Quick Start dialog box, which contains the commands often used when starting the application: open a file, open a file from the list of recently opened files; create a blank form, create a form using a template or start the Form Creation Wizard.
Open… | Opens a form.
Save | Saves a form.
Save As… | Saves a form under a new name, or saves a form/page as a sample.
Export To |
Image File… | Exports a form to an image file.
Separate Image Files… | Exports a color dropout form into separate image files - a black and white TIFF file and a color TIFF file.
XML Form Definition… | Exports a form to XML Form Definition format (only for published forms).
PDF Form… | Exports an ABBYY FormDesigner form to a PDF form (only for published forms). You can also add response buttons to the form: for e-mail and/or website response, and set export parameters. To export to a PDF form, your form must have at least one editable field.
InfoPath Form… | Exports an ABBYY FormDesigner to an InfoPath form. To export to an InfoPath form, your form must have at least one editable field.
Adobe Illustrator File… | Exports your form to an Adobe Illustrator file.
Import from Searchable PDF file… | Imports a form from a PDF file created in another form layout editor.
Publish Form | Publishes the form.
Save Editable Copy As… | Saves a copy of the form which can then be edited.
Distribute Form… | Opens the Form Distribution Wizard, where you can select form sending and receiving parameters.
Print Setup… | Opens the Print Setup dialog box.
Print Preview | Shows how a form will look when you print it.
Print… | Opens the Print dialog box.
Print Filled Forms |
With Values from Database… | Prints out forms filled out with values from a database.
With Values from File… | Prints out forms filled out with values from a file.
Recent Files | Displays the list of recently opened files. Select any of the recent files to open it.
Exit | Closes ABBYY FormDesigner 9.0.


Edit Menu

Item | Description
Undo | Cancels the results of the last action.
Redo | Cancels the results of the last Undo action.
Cut | Cuts a selection (element or text) and places it into the Clipboard.
Copy | Copies a selection (element or text) to the Clipboard.
Paste | Pastes the contents of the Clipboard into the form.
Delete | Deletes the selected elements. The fields in the document structure that are linked to these elements will also be deleted.
Duplicate | Duplicates the selected elements.
Edit Text | Allows you to edit the text within the selected text or checkmark field element.
Rename Field | Renames the selected field.
Delete Block | Deletes the selected elements without deleting their linked fields ion the document structure.
Select All | Selects all the elements on the current form.
Select by Type… | Opens the Select by Type dialog box, where you can specify the types of elements to be selected.


View Menu

Item | Description
Toolbars |
Standard | Shows/hides the Standard toolbar.
Formatting | Shows/hides the Formatting toolbar.
Form Elements | Shows/hides the Form Elements toolbar.
Design Tools | Shows/hides the Design Tools toolbar.
Large Toolbar Buttons | Makes the buttons on the toolbars large/small.
Status Bar | Shows/hides the Status bar. The Status Bar displays explanations for buttons and menu items, the size, position, and type of the selected element, as well as page properties.
Document Structure | Shows/hides the document structure pane.
Element Properties | Shows/hides the element properties window.
Grid | Shows/hides the grid.
Main ruler | Shows/ hides the main ruler.
Margins | Shows/hides the margins.
Snap to Grid | Snaps the top left corner of newly created elements to the nearest grid node. When moving a form element, it will also be snapped to the nearest grid node.
Snap Align Rulers to Elements | Turns on/off the automatic binding of elements to rulers. If this mode is turned on, when you move a ruler on the form, it will be automatically bound to the elements that are sufficiently close to it.
Show Align Rulers | Shows/hides alignment rulers.
Delete All Align Rulers | Removes all alignment rulers.
Zoom |
200% | Zooms the Form window to 200%.
150% | Zooms the Form window to 150%.
100% | Zooms the Form window to 100%.
75% | Zooms the Form window to 75%.
50% | Zooms the Form window to 50%.
Fit to Width | Fits the image to the width of the Form window.
Fit to Height | Fits the image to the height of the Form window.
Best Fit | Fits the entire image to the Form window.
Zoom Out | Halves the form image.
Zoom In | Doubles the form image.


Form Menu

Menu Item | Description
Form Properties… | Opens the Form Properties dialog box.
Add Page |
Empty | Adds an empty page to a form.
Based on Page Sample… | Adds a page created based on a sample.
Delete Page | Deletes the current page.
Page Properties… | Opens the Page Settings dialog box.


Elements Menu

Item | Description
Draw an Element |
Selection Tool | Selects a tool on the Form Elements toolbar or an element on the form.
Entry Field | Selects the Entry Field tool that adds an entry field element to the form.
Date Field | Selects the Date Field tool that adds an date field element to the form.
Numeric Field | Selects the Numeric Field tool that adds an numeric field element to the form.
Checkmark Field | Selects the Checkmark Field tool that adds a checkmark field element to the form.
Group of Elements | Selects the Group of Elements tool that adds a group of elements to the form.
Table | Selects the Table tool that adds an table element to the form.
Vertical Separator | Selects the Vertical Separator tool that adds an vertical separator to the table.
Horizontal Separator | Selects the Horizontal Separator tool that adds an horizontal separator to the table.
Delete Separator | Selects the Delete Separator tool that deletes a separator from the table.
Vertical Ruler | Selects the Vertical Ruler tool that adds a vertical ruler to the form.
Horizontal Ruler | Selects the Horizontal Ruler tool that adds a horizontal ruler to the form.
Text | Selects the Text tool that adds a text element to the form.
Line Separator | Selects the Line Separator tool that adds a line separator element to the form.
Frame | Selects the Frame tool that adds a frame element to the form.
Picture | Selects the Picture tool that adds a picture element to the form.
Anchor | Selects the Anchor tool that adds an anchor element to the form.
Identifier | Selects the Identifier tool that adds an identifier element to the form.
Filling Template… | Adds a filled-out sample to the form.
Align |
Left | Aligns the selected elements to the left edge of the last selected element.
Center Horizontally | Centers the selected elements along the center of the last selected element without changing their vertical position.
Right | Aligns the selected elements to the right edge of the last selected element.
Top | Aligns the selected elements to the top edge of the last selected element.
Center Vertically | Centers the selected elements along the center of the last selected element without changing their horizontal position.
Bottom | Aligns the selected elements to the bottom edge of the last selected element.
To Grid | Aligns the top left corners of all the selected elements to the nearest grid nodes.
Space Evenly Across | Spaces selected elements evenly across the page.
Space Evenly Down | Spaces selected elements evenly down the page.
Size |
Make Same Width | Makes the width of all the selected elements the same as the width of the last selected element.
Make Same Height | Makes the height of all the selected elements the same as the height of the last selected element.
Make Same Width and Height | Makes the height and width of all the selected elements the same as the height and width of the last selected element.
Size to Grid | Expands the borders of the selected element to the nearest grid lines.
Size to Fit | Expands or shrinks the borders of the selected element to fit them to the size of the data inside.
Bring to Front | Moves the selected elements to the foreground.
Send to Back | Moves the selected elements to the background.
Merge | Merges the selected elements on the form.
Split | Splits the selected elements on the form.
Add to Merged Elements | Adds elements to previously merged elements. Both the elements to be added and the previously merged elements must be selected.


Tools Menu

Item | Description
Check Form | Checks if the form is machine-readable.
Options… | Opens the Options dialog box, where you can change the main window view and export parameters.


Help Menu

Item | Description
Help Topics | Opens ABBYY FormDesigner Help.
Technical Support | Opens the Technical Support page of the Help file.
Send feedback… | Sends feedback on ABBYY FormDesigner to ABBYY. The company page will open, where you can find an ABBYY FormDesigner & ABBYY FlexiCapture feedback form.
About… | Opens the About ABBYY FormDesigner 9.0 window containing brief information about the program.


Toolbar Local Menu

Toolbar shortcut menu

Item | Description
Standard | Shows/hides the Standard toolbar.
Formatting | Shows/hides the Formatting toolbar.
Form Elements | Shows/hides the Form Elements toolbar.
Design Tools | Shows/hides the Design Tools toolbar.
Large Toolbar Buttons | Makes the buttons on the toolbars large/small.
Options… | Opens the Options dialog box.


Form Element Local Menu

Form Element shortcut menu

Item | Description
Size to Fit | Expands or shrinks the borders of the selected element to fit them to the size of the data inside.
Cut | Cuts a selection (element or text) and places it into the Clipboard.
Copy | Copies a selection (element or text) to the Clipboard.
Paste | Pastes the contents of the Clipboard into the form.
Delete | Deletes the selected elements. The fields in the document structure that are linked to these elements will also be deleted.
Delete Block | Deletes the selected elements without deleting their linked fields ion the document structure.
Duplicate | Duplicates the selected elements.
Edit Text | Allows you to edit the text within the selected text or checkmark field element.
Bring to Front | Moves the selected elements to the foreground.
Send to Back | Moves the selected elements to the background.
Merge | Merges the selected elements.
Split | Splits the selected elements.
Properties… | Show/hides the element properties panel.
Page Properties… | Opens the Page Settings dialog box.


Toolbars

There are four toolbars in ABBYY FormDesigner 9.0: Standard, Design Tools, Formatting, and Form Elements.

You can show/hide a toolbar by selecting/deselecting it in View>Toolbars or by selecting the appropriate command on the shortcut menu (right-click a toolbar to display its shortcut menu.)

The toolbars contain buttons that provide quick access to the program's tools and commands. The same commands can also be accessed via the corresponding menus or by pressing their shortcut keys.

You can customize the size of the toolbar buttons. By the default, the buttons are small. To change the size of the buttons select View>Toolbars>Large Toolbar Buttons.

To see what a button does, simply rest the cursor on the button until a ToolTip appears.


Standard Toolbar

On the Standard toolbar you will find buttons for launching standard tools and performing standard actions, such as creating a new form or opening an existing form, undoing or redoing previous actions, etc. Click a button to perform the corresponding command.

Show me the Standard toolbar

Buttons on the Standard toolbar:

Button | Description
New | Creates a new form with basic elements.
Open… | Opens a form.
Save | Saves a form.
Print Preview | Shows how a form will look when you print it.
Print | Prints a form.
Cut | Cuts a selection and places it into the Clipboard.
Copy | Copies a selection to the Clipboard.
Paste | Pastes the contents of the Clipboard into the form.
Undo | Cancels the results of the last action.
Redo | Cancels the results of the last Undo action.
Zoom Out | Halves the image size.
Zoom In | Doubles the image size.
Scale | Changes the scale of the image.
Distribute the Form | Opens the Form Distribution Wizard(only for published forms).


Design Tools Toolbar

On the Design Tools toolbar you will find buttons for editing form elements. Click a button to launch the corresponding design tool.

Show me the Design Tools toolbar

Buttons on the Design Tools toolbar:

Button | Description
Show Grid | Shows/hides the grid.
Show Main Ruler | Shows/hides the main ruler.
Snap to Grid | Snaps the top left corner of newly created elements to the nearest grid node. When moving a form element, it will also be snapped to the nearest grid node.
Align Left | Aligns the selected elements to the left edge of the last selected element.
Center Horizontally | Centers the selected elements along the center of the last selected element without changing their vertical position.
Align Right | Aligns the selected elements to the right edge of the last selected element.
Align Top | Aligns the selected elements to the top edge of the last selected element.
Center Vertically | Centers the selected elements along the center of the last selected element without changing their horizontal position.
Align Bottom | Aligns the selected elements to the bottom edge of the last selected element.
Align to Grid | Aligns the top left corners of all the selected elements to the nearest grid nodes.
Space Evenly Across | Spaces selected elements evenly across the page.
Space Evenly Down | Spaces selected elements evenly down the page.
Make Same Height | Makes the height of all the selected elements the same as the height of the last selected element.
Make Same Width | Makes the width of all the selected elements the same as the width of the last selected element.
Make Same Height and Width | Makes the height and width of all the selected elements the same as the height and width of the last selected element.
Size to Grid | Expands the borders of the selected element to the nearest grid lines.
Merge | Merges the selected elements on the form.
Split | Splits the selected elements on the form.
Add to Merged Elements | Adds elements to previously merged elements. Both the elements to be added and the previously merged elements must be selected.
Bring to Front | Moves the selected elements to the foreground.
Send to Back | Moves the selected elements to the background.
Snap Align Rulers to Elements | Turns on/off the automatic binding of elements to rulers. If this mode is turned on, when you move a ruler on the form, it will be automatically bound to the elements that are sufficiently close to it.
Show All Rulers | Shows/hides all rulers.
Vertical Ruler | Creates a vertical ruler.
Horizontal Ruler | Creates a horizontal ruler.
Delete All Rulers | Deletes all rulers.


Formatting Toolbar

On the Formatting toolbar you will find buttons for formatting text on the form. Click a button to choose the corresponding formatting tool.

Select the text you want to format, then select an instrument on the toolbar by clicking the corresponding button.

Show me the Formatting toolbar

Buttons on the Formatting toolbar:

Button | Description
Font | Changes the font of the text within the selected elements.
Font Size | Changes the font size for the text within the selected elements.
Bold | Changes the selected text to bold.
Italic | Changes the selected text to italic.
Underline | Underlines the selected text.
Align to Left | Aligns the text within the selected element to the left edge of the element.
Center Horizontally | Centers the text within the selected element horizontally.
Align to Right | Aligns the text within the selected element to the right edge of the element.
Justify | Justifies the text within the selected element.
Align to Bottom | Aligns the text within the selected element to the bottom edge of the element.
Center Vertically | Centers the text within the selected element vertically.
Align to Top | Aligns the text within the selected element to the top edge of the element.
Left of Text | Places the checkmark field to the left of the explanatory text.
Above Text | Places the checkmark field above the explanatory text.
Right of Text | Places the checkmark field to the right of the explanatory text.
Below Text | Places the checkmark field below the explanatory text.

Note: You may purchase additional fonts and multilingual font support at www.paratype.com/shop/.


Form Elements Toolbar

On the Form Elements toolbar you will find buttons for adding new elements to the form. Click a button to add the corresponding element to the form.

Show me the Form Elements toolbar

Buttons on the Form Elements toolbar:

Button | Description
Selection Tool | Selects a tool on the toolbar or an element on the form.
Entry Field | Adds an entry field element to the form.
Date Field | Adds a date field to a form.
Numeric Field | Adds a numeric field to a form.
Checkmark Field | Adds a checkmark field element to the form.
Group of Elements | Adds a group of elements
Table | Adds an table element to the form.
Vertical Separator | Adds a vertical separator to a table.
Horizontal Separator | Adds a horizontal separator to a table.
Delete Separator | Deletes a separator from the table.
Text | Adds a text element to the form.
Line Separator | Adds a line separator element to the form.
Frame | Adds a frame element to the form.
Picture | Adds a picture element to the form.
Anchor | Adds an anchor element to the form.
Identifier | Adds an identifier element to the form.


Using ABBYY FormDesigner 9.0

This section contains information on the functionality of ABBYY FormDesigner.

Table of Contents

  • Creating a Form

  • Form Properties

  • Document Structure

  • Adding, Editing, and Deleting Form Elements

  • Selecting and Moving Form Elements

  • Saving and Publishing a Form; Checking a Form for Machine-Readability

  • Exporting a Form

  • Distributing a Form

  • Printing a Form

  • Printing Partially Filled-Out Forms


Creating, Saving, and Opening a Form

Creating a Form

The Quick Start dialog box opens when you start the application or when you select File>New… Here you create a new form from scratch (either an empty one or with basic elements), create a form based on a sample, or use the Form Creation Wizard, which will guide you through all steps of the form creation process. Once the wizard has finished creating the form, you will only need to add the required form elements (using the Form Elements toolbar) and save your form.

For more information, please refer to Creating a Form.

Saving a Form

To save a form, select the standard Save or Save As… commands on the File menu.

Opening a Form

To open a form:

  • Select the Open… item on the File menu, or

  • Click the Open icon on the Standard toolbar, or

  • Press Ctrl+O.


Publishing a Form

When publishing a form, you assign it Published status, which prohibits changes to the form. At the same time the form will be checked for machine-readability and assigned a unique identification number.

To publish a form, select Publish Form on the File menu.

Published forms are read-only. To be able to make changes to a published form, select Save Editable Copy As… on the File menu. You will be asked to save your form under a different name before you can make any changes to its design.

For more information, please refer to Saving and Publishing a Form; Checking a Form for Machine-Readability.


Saving a Form as an Image

To save your form as an image, select the Image File… item (Form>Export To>Image File…) and in the Save Image As dialog box that appears, select the required image format, provide a name for the image file, and browse to the folder where it will be stored.

For more information, please refer to Exporting a Form to an Image File.


Creating a Template for ABBYY FlexiCapture

An important advantage of ABBYY FormDesigner 9.0 is that once you have created a form in ABBYY FormDesigner you automatically get a form description that can be used to create a Document Definition in ABBYY FlexiCapture 9.0.

To get a description for ABBYY FlexiCapture 9.0:

  1. Create a form in ABBYY FormDesigner 9.0.
  2. Publish the form (File>Publish Form).
  3. Export the published form to XML Form Definition format (File>Export To>XML Form Definition…). In the Export to XML Form Definition dialog box that appears, provide a name for the file and browse to the folder where it will be stored.
  4. Run ABBYY FlexiCapture 9.0 and open the Document Templates dialog box (Project>Document Definitions...).
  5. Click Import and select the newly-created *.xfd file.
For more information, please refer to Exporting a Form to XML Form Definition format (*.xfd)


Creating a Form

The form-creation process consists of the following stages: analysis, design, and printing.

At the analysis stage, the designer must do the following:

  1. Analyze the contents of the form and decide on the names of the fields and the exact wording of the explanations.
  2. Select the most appropriate type of form (black and white form with raster borders, black and white linear form, color dropout form, etc.) and printing method (at a printing shop, on a printer, using a Xerox machine, published on the Internet, etc.).
  3. Make sure that the form is machine-readable.

At the design stage, the designer must do the following:

  1. Create a form on the computer.

  2. Publish the form, i.e. lock it for editing so that no changes can be made to the form design (this will ensure that one and the same source form is used for printing all forms which are exactly the same).

At the distribution stage, the form is

  1. prepared for distribution
  2. distributed in hard copy or electronically

New Form

Multi-Page Forms

Creating Forms Based on a Sample

Adding, Editing, and Deleting Form Elements

Selecting and Moving Form Elements

Saving and Publishing a Form; Checking a Form for Machine-Readability

Exporting a Form

Distributing a Form

Printing a Form


New Form

A new form can be created using the Quick Start dialog box (opens when you start the application), by selecting File>New…, or by pressing Ctrl+N on your keyboard.

The Quick Start dialog box lets you create a new form using any of the three available methods:

  • Create an empty form. On the right of the dialog box, select the form you want to create - an empty form or one with basic elements. A form with basic elements can also be created by clicking the New button on the Standard toolbar.
  1. If you select Empty form, ABBYY FormDesigner 9.0 will create a form without any elements on it. If you wish to create a multi-page form, enter the required number of pages in the Number of pages field.

  2. If you select Form with basic elements, ABBYY FormDesigner 9.0 will create a black and white form with some basic elements on it:
    anchors
    Elements of a machine-readable form that are used for matching a form with its template and determining its orientation during processing.
     (four black squares in the corners of the form and one additional black square anywhere on the form; later when editing the form you can replace the black squares with other anchors of your choice), identifier element
    An element of a machine-readable form that allows the forms processing program to identify the form.
     (a barcode with digits), and a text element
    An element of a machine-readable form that contains descriptions and explanatory text, such as field names, instructions on how to fill out the form, etc.
     where the title of the form should be located.
    • Create a form based on a form sample. On the right of the dialog box, select the *.dtf file you want to use as the sample for the new form. By default, form samples are saved to С:\Documents and Settings\<username>\My Documents\Templates\.
    • Create a form using the Form Creation Wizard.
    1. Specify form page properties - page size and orientation.
    2. Specify the type of your form (black-and-white, gray background, color background), background size (for background forms: entire page or only inside margins), and anchor type.
    3. Select form layout elements. You can add a title (provide title text), an identifier (specify its type and position), and a template (select language).
    4. Add standard elements to the form from the list: name, surname, contact information. On the right of the dialog box, you will see a preview of your form. To add/delete an element, use the >>/<< buttons.

      To exit the wizard, click Finish. The form you created will be automatically opened in the main window. You will then be able to edit and save it.

Form Settings


Multi-Page Forms

In ABBYY FormDesigner 9.0, you can create multi-page forms consisting of several pages. For each page, you need to specify a name and number of its copies within the form. A multi-page form description is exported to XFD format and can then be used in ABBYY FlexiCapture 9.0 to create a multi-page Document Definition.

Creating a multi-page form

You can create a multi-page form based on a form sample.

Adding pages

New pages can be added to any type of form. To add a new page, select Form>Add Page or right-click the name of the page at the bottom of the form you are creating. You can add either a blank page or a page based on a sample.

A page may occur any number of times within a form. You can set the minimum and maximum number of page occurrences in the Page Settings dialog box (Form>Page Properties…). You can also specify a name for the current page in this dialog box.

Exporting multi-page forms

Multi-page form images can be exported into any of the supported image formats. You have the option of saving each page in a separate image file or all the pages in one image file.


Creating Forms Based on a Sample

You can use samples to create new forms or form pages.

To create a form (or page) sample:

  1. Create a form (or page) in ABBYY Form Designer
  2. Select File>Save As…
  3. In the Save as type drop-down list, select Form Sample File or Page Sample File
  4. Click Save

By default, form samples are saved to С:\Documents and Settings\<username>\My Documents\Templates\.

Form samples are binary files with the extension *.dtf. Page samples are saved in *.ptf format, which is a modified version of *.fdd format.

To create a new form based on a form sample, select Based on form sample in the Form Creation Wizard.

To add new pages to a multi-page form based on a page sample, select Form>Add Page>Based on Page Sample….


Form Settings

The main properties of a form can be viewed in the Form Properties dialog box (Form>Form Properties…).

Show me the Form Properties dialog box
Item | Description
Author | The name of the person who created the form.
Status | Form status: Draft, if changes are allowed on the form; Published, if the form is read-only.
Date published | The date of publication of the form.
Form identifier | The value of the form identifier.
File | The path to the file containing the form.

Form page settings

Page settings determine the size of the page, its orientation, indents, and style. To change the settings of a page, select Form>Page Properties… or right-click the page and select Page Properties… on the shortcut menu.

Show me the Page Settings dialog box

Item

Description

General

Name

Sets the name of a page.

Min occurs

Sets the minimum number of occurrences of the current page in the form.

Max occurs

Sets the maximum number of occurrences of the current page in the form.

Page identifier

Displays the value of the page identifier.

Size

Page Size

Select one of the standard page sizes from the drop-down list (A3, A4, or A5), or set your own custom page size. To set your own page size, select the Custom size item in the list and specify the required width and height in the corresponding fields.

Width

Sets page width.

Height

Sets page height.

Orientation

Portrait

Sets portrait page orientation.

Landscape

Sets landscape page orientation.

Margins

Top

Sets the width of the top margin.

Bottom

Sets the width of the bottom margin.

Left

Sets the width of the left margin.

Right

Sets the width of the right margin.

Color

Style

Sets the form style:

  • Gray dropout form
  • Black and white form
  • Orange dropout form
  • Red dropout form
  • Green dropout form

Page Background*

Color*

Selects a form background color from the drop-down list.

Note: Color can only be selected for color dropout forms. White is the default color for black and white forms.

Color*

Use this list to select the area covered with the background color. You have two choices:

  • Whole page (all the page except for the form elements will be filled in).
  • Inside margins (the page will be filled in but the page margins and the form elements will be left white).

* - This property can only be specified only for dropout forms.


Adding, Editing, and Deleting Form Elements

Once a new form has been created, you can add elements to the form and edit them.

Tip
Be sure to discuss the form design and contents with your customers before adding elements to the form.

Recommended order for adding elements to the form:

  1. setting margins
  2. adding reference marks (anchors)
  3. adding other form elements

For a form to be machine-readable it must have margins along each of its four sides. The default margin width is 10 mm. You can change the default width in the Page Settings dialog box (Form>Page Properties…>Size).

The margins are shown as dashed lines on the screen. If you want the margins to be displayed on the form, select the Show margins item on the View tab of the Options dialog box (Tools>Options…).

You can specify the properties for every element.

Anchor

Text

Entry Field

Date Field

Numeric Field

Checkmark Field

Line Separator

Frame

Picture

Form Identifier

Table

Group of Elements


Document Structure

When you add elements to a form, ABBYY FormDesigner 9.0 automatically builds a document structure, a hierarchy of form fields linked to one or more elements on the form image. You can modify document structures and link elements to any fields of the appropriate type.

Document structures are saved and exported as part of XFD files.

Viewing document structure

To view the structure of the current document, select View>Document Structure. In the right-hand pane, the structure of the fields in the current form will be displayed. You can add new fields as well as delete, rename or move any of the existing fields. To work with fields, either right click a field and select an item on the shortcut menu (Add Field, Delete Field, Rename Field). To move fields in the hierarchy, either press Ctrl+Up/Down arrow or select Move Field Up/Move Field Down. If a field has elements linked to it, you can only move it within its current level in the hierarchy, otherwise you can also move a field between groups.

Adding new fields

When you add a new element to a form, ABBYY FormDesigner 9.0 automatically creates a new field in the document structure of the same type as the newly created element. To create a new field manually, select Add Field and then select a type for your new field.

Linking form elements to fields

When you add a new element, ABBYY FormDesigner 9.0 automatically links it to the field in the document structure automatically created for this element. To link an element to another field:

  • select the required element on the form image
  • right-click the element and select Properties… on the shortcut menu
  • in the Element Properties dialog box, click the Linked Field tab and select a field from the drop-down list. You will be able to choose only from among the fields of the type which corresponds to the selected element. If an element is part of a group, it can only be linked to fields that belong to the corresponding group field.

Note: The names of the fields which have no elements linked to them are shown in italics in the document structure pane.

Deleting fields and elements

To delete a field from the document structure, select the required field and press Delete or right-click the required element and select Delete on the shortcut menu.

When deleting an element, the field it is linked to is also deleted, unless it has other elements linked to it. To delete an element without deleting its corresponding field, press Shift+Delete, or select the Delete Block command on the Edit menu, or right-click the element and select the Delete Block command on the shortcut menu.


Anchors

An anchor is an element of a machine-readable form that is used for matching a form with its template and determining its orientation during processing.

Adding anchors to a form is an important stage of form design.

ABBYY FormDesigner 9.0 allows you to add two types of anchor to your forms: black squares and corners.
Type | Description
Black Square | The anchor has the shape of a square.
Corner | The anchor has the shape of a corner.

Only one type of anchor can be used on a form. When specifying the type of anchor to be used on your form, you also need to set its properties:

  • Size: the length of each side of the black square or the length of each side of the corner
  • Line Width: the line width of each side of the Corner (this parameter is not applicable to black squares)

Adding an Anchor Element

Editing an Anchor Element

Deleting an Anchor Element


Adding an Anchor Element

You can add an anchor to your form. The size of the anchor is user-defined.

To add an anchor:

  1. On the Form Elements toolbar, select the tool Anchor.
  2. Click in the form where you wish an anchor to be added, hold down the left mouse button and drag the mouse diagonally. A rectangle will appear on the screen. The anchor (against the white background) will be placed in the top left corner of the rectangle once you have released the mouse.

Note: You can also create an element with a single click of the mouse: once you have selected the required tool, simply click in the form where you wish the element to be added. The default element size will be used. To place several elements of the same type on your form, hold down the Ctrl key and click repeatedly where you wish the elements to be positioned.

The default type of anchor added to each new form with basic elements is black square. If you wish to change the anchor type to corner, right-click the anchor and select Properties on the shortcut menu. In the dialog box that opens, change the type of the anchor.


Editing an Anchor Element

The following anchor properties will be applied to the entire form: Type, Size, and Line width (for corners).

For each anchor, the following properties can be specified: position, size, and type. The anchor properties do not depend on the form type.

You can change the properties of the Anchor element in the Element Propertieswindow located in the bottom right corner of the main window. The Element Properties window is displayed only if View>Element Properties is selected on the main menu.

Item

Description

Element

Type

Anchor.

Position & Size

Left

Sets the distance you wish between the left edge of the form and the element with no left indent.

Top

Sets the distance between the top edge of the form and the element.

Width

Sets the width of an anchor element.

Height

Sets the height of an anchor element.

Important!

To change the size of an Anchor, select the Anchor tab.

Anchor

Type

From the drop-down list, select the type of anchor you wish to use on your form - black square or corner.

Each form may contain only one type of anchor.

Size

Sets the size of the anchor:
the length of each side of the black square, or

the length of each side of the corner.

Line width (corners only)

Sets the line width of the sides of corners (from 0.3 mm to 1 mm).


Deleting an Anchor Element

To delete an anchor:

  1. Select an anchor you wish to delete.

  2. On the Edit menu, select Delete (or select the Delete item on the shortcut menu).


Text

Text is an element of a machine-readable form that contains descriptions and explanatory text, such as field names, instructions on how to fill out the form, etc.

Adding a Text Element

Editing a Text Element

Deleting a Text Element

Text Element Shortcut Menu


Adding a Text Element

To add a text element:

  1. On the Form Elements toolbar, select the Text tool.

  2. Click in the form where you wish the text element to be added, hold down the left mouse button and drag the mouse diagonally. Release the mouse.

Note: You can also create an element with a single click of the mouse: once you have selected the required tool, simply click in the form where you wish the element to be added. The default element size will be used. To place several elements of the same type on your form, hold down the Ctrl key and click repeatedly where you wish the elements to be positioned.


Editing a Text Element

For each text element the following properties are specified: size and position of the element, text, font, text color, word wrap, horizontal and vertical alignment, orientation, and the color of element's background.

You can edit the text of an element directly in the field of the element. To enable the text editing mode, right-click the element or select Text>Edit Text on the shortcut menu. Then use the hot keys for editing.

You can change the properties of the text element in the Element Propertieswindow located in the bottom right corner of the main window. The Element Properties window is displayed only if View>Element Properties is selected on the main menu.

Item

Description

Element

Type

Text

Position & Size group

Left

 Sets the distance between the left edge of the form and the element.

Top

Sets the distance between the top edge of the form and the element.

Width

 Sets the width of the text element.

Height

 Sets the height of the text element.

Text

Text

Shows the text of the element.
Note: To edit the text of the element, click Edit Text on the shortcut menu of the Text element. The text can be edited directly in the field of the element.

Font

The font used for the text within the element.
To change the font, its size and style (italic, bold, underline, etc.) click the Change … button and in the Font dialog box that appears, select the required font, font size and style.

Color

Selects a text color from the drop-down list*.

Word wrap

Wraps the lines of the text without breaking words.

Alignment

Horizontal

Aligns the text within the element horizontally:

  • Center - centers the text horizontally

  • Left - aligns the text to the left edge of the element

  • Right - aligns the text to the right edge of the element

Vertical

Aligns the text within the element vertically:

  • Bottom - aligns the text to the bottom edge of the element

  • Center - centers the text vertically

  • Top - aligns the text to the top edge of the element

Orientation

Sets the orientation of the text.

  • Normal (horizontal) - the text will be placed horizontally, left to right
  • Vertical (top-to-bottom) - the text will be placed vertically, top to bottom
  • Vertical (bottom-to-top) - the text will be placed vertically, bottom to top

Background

Same as form background

Makes the background of the Text the same color as the background of the form.

Other

Selects a text background color from the drop-down list*.

* - The range of available colors depends on the type of your form (black and white or color).

Note: You may purchase additional fonts and multilingual font support at www.paratype.com/shop/.


Deleting a Text Element

To delete a text element:

  1. Select the text element you wish to delete.
  2. On the Edit menu, select Delete (or select the Delete item on the shortcut menu or press the Delete button on the keyboard).


Text Element Shortcut Menu

This menu is available when editing the contents of a Text element.

Item | Description
Cut | Deletes the selected element or text and copies it to the Clipboard.
Copy | Copies the selected element or text to the Clipboard.
Paste | Pastes the element or text from the Clipboard.
Delete | Deletes the selected element. Any related structure fields will also be deleted.
Font… | Opens the Font dialog box.
Paragraph… | Opens the Paragraph propertiesdialogue box.


Entry Fields

An entry field is an element of a machine-readable form into which text will be entered by the person filling out the form.

Show me an entry field element

Adding an Entry Field Element

Editing an Entry Field Element

Deleting an Entry Field Element


Adding an Entry Field Element

To add an entry field element:

  1. On the Form Elements toolbar, select the Entry Field tool.

  2. Click in the form where you wish the entry field element to be added, hold down the left mouse button and drag the mouse diagonally.

  3. A rectangle will appear on the screen. Adjust the size of the added element*. Release the mouse.

Note: You can also create an element with a single click of the mouse: once you have selected the required tool, simply click in the form where you wish the element to be added. The default element size will be used. To place several elements of the same type on your form, hold down the Ctrl key and click repeatedly where you wish the elements to be positioned.

* - You can only change the vertical size of an entry field elements if Multiple Rows is enabled in the element properties.


Editing an Entry Field Element

For each entry field element, the following properties can be specified: position and size, the type of marking, the cell size, the number of text lines in the element, the width of the marking line, the marking line color, the tip text, the tip text color, the tip font, the mode of selecting the tip font size and the element's background color, and the linked field.

You can change the properties of the entry field element in the Element Properties window located in the bottom right corner of the main window. The Element Properties window is displayed only if View>Element Properties is selected on the main menu.

Item

Description

Element

Type

Entry Field.

Position & Size

Left

Sets the distance between the left edge of the form and the element.

Top

Sets the distance between the top edge of the form and the element.

Width

Sets the width of entry field element.

Height

Sets the height of the entry field element.

Important!
You can change the number of lines in an entry field only if you have selected the Multiple rows check box on the Marking tab. Use the Marking tab to change the cell height.

Alignment

Horizontal

Aligns the text within the element horizontally:

  • Center - centers the text horizontally
  • Left - aligns the text to the left edge of the element
  • Right - aligns the text to the right edge of the element

Vertical

Aligns the text within the element vertically:

  • Bottom - aligns the text to the bottom edge of the element
  • Center - centers the text vertically
  • Top - aligns the text to the top edge of the element

Orientation

 Sets the orientation of the text.
  • Normal (horizontal) - the text will be placed horizontally, left to right
  • Vertical (top-to-bottom) - the text will be placed vertically, top to bottom
  • Vertical (bottom-to-top) - the text will be placed vertically, bottom to top

Marking

Marking type

Sets the marking type for the text:

  • Letters in Separate Dotted Frames

  • Letters in Separate Frames

  • Letters on a Comb

  • Text in a Frame with a Comb

  • Letters in Frames

Cell size

Sets the size of the character cells:

  • Normal – standard cell size (4x5 mm)

  • Large – maximum cell size (5x6.5 mm)

  • Small – minimum cell size (3x4 mm)

Bold marking line (for all marking types except Letters in Separate Dotted Frames)

Changes the frame of the cells to bold.

Marking color

Selects a marking color from the drop-down list*.

Multiple rows

Adds multiple rows to the entry field.

Tip

Text

Sets the tip text. The tip will be typed in the entry field of the form: each letter of the tip will be placed in the corresponding cell.

Color

Selects a tip color from the drop-down list*.

Font

Selects tip font.

Auto size font

Selects font size for tips automatically, according to the height of character cells of the field.

Background

Same as form background

Makes the background of the entry field the same color as the background of the form.

Other

Selects an entry field background color from the drop-down list*.

Linked Field

Linked field

By default, whenever you create an element on your form, a field is created within the document structure to which this element is linked. To link your element to another field of the same type, select the name of the field from the drop-down list.

* - The range of available colors depends on the type of your form (black and white or color).

Note: You may purchase additional fonts and multilingual font support at www.paratype.com/shop/.


Deleting an Entry Field Element

To delete an entry field element:

  1. Select the entry field element you wish to delete.

  2. On the Edit menu, select Delete (or select the Delete item on the shortcut menu).


Date Fields

Date Field Element is an element of a machine-readable form, which is meant to input date when filling in the form.

Show Date Field

Adding Date Field Element

Editing Date Field Element

Deleting Date Field Element


Adding a Date Field Element

To add a Date Field

An element of a machine-readable form where a date is to be entered by the person filling out the form.
when filling in a form:
  1. On the Form Elements toolbar, select the Date Field tool.
  2. Click in the form where you wish the element to be added, hold down the left mouse button and drag the mouse diagonally. A rectangle will appear on the screen. Date Field will be placed in the left upper corner of the benchmarking after you release the mouse button.

Note: You can also create an element with a single click of the mouse: once you have selected the required tool, simply click in the form where you wish the element to be added. The default element size will be used. To place several elements of the same type on your form, hold down the Ctrl key and click repeatedly where you wish the elements to be positioned.


Editing a Date Field Element

For each date field element

An element of a machine-readable form, which is meant to input date when filling in the form.
the following properties are specified: position and size of elements, text marking, character cell size, multiple rows, bold/normal marking line, color of marking, date format, number of character cells to record date, separator, separator color, tips color, tips font, tips text font, automatic selection of height of tips fonts, color of elements background, linked field.

You can change the properties of the date field element in the Element Properties window located in the bottom right corner of the main window. The Element Properties window is displayed only if View>Element Properties is selected on the main menu.

Item

Description

Element

Type

Date Field.

Position & Size Group

Left

Sets the distance you wish between the left edge of the form and the element with no left indent.

Top

Sets the distance between the top edge of the form and the element.

Width

Sets the width of Date field element.

Height

Sets the height of Date field element.

Important!

To change the character cell height, go to the Marking tab.

Alignment

Horizontal

Aligns the text within the element horizontally:

  • Center - centers the text horizontally
  • Left - aligns the text to the left edge of the element
  • Right - aligns the text to the right edge of the element

Vertical

Aligns the text within the element vertically:

  • Bottom - aligns the text to the bottom edge of the element
  • Center - centers the text vertically
  • Top - aligns the text to the top edge of the element

Orientation

Sets the orientation of the text.

  • Normal (horizontal) - the text will be placed horizontally, left to right
  • Vertical (top-to-bottom) - the text will be placed vertically, top to bottom
  • Vertical (bottom-to-top) - the text will be placed vertically, bottom to top

Marking

Marking type

Selects a marking type from the list:

  • Letters in Separate Dotted Frames
  • Letters in Separate Frames
  • Letters on a Comb
  • Text in a Frame with a Comb
  • Letters in Frames

Cell size

Selects a cell size from the list:

  • Standard - standard recommended cell size (4х5мм)
  • Maximum - a maximum of recommended cell sizes (5х6.5мм)
  • Minimum - a minimum of recommended cell sizes (3х4мм)

Bold marking line (when any marking type but Letters in Separate Dotted Frames is selected)

Selects a bold text marking line.

Marking color

Selects a marking color from the drop-down list*.

Date

Date format

Specifies a date format:

  • DD.MM.YYYY

  • MM.DD.YYYY

  • YYYY.MM.D

Digits in year

Specifies the number of cells for a year:

  • 2 (2 cells will be available)

  • 4 (4 cells will be available)

Separator

Selects a separator for dates:

  • .

  • /

  • -

Color

Selects a separator color from the drop-down list*.

Tip text

Selects a tip color from the drop-down list. The tip will be typed in the date field on the form: each letter of the tip will be placed in the corresponding cell.

Color

Selects a tip color from the drop-down list*.

Font

Selects a tip font.

Auto size font

Selects font size for tips automatically, according to the height of character cells of the field.

Background*

Same as form background*

Makes the background of the date field element the same color as the background of the form.

Other

Selects a date field background color from the drop-down list*.

Linked Field

Linked field

By default, whenever you create an element on your form, a field is created within the document structure to which this element is linked. To link your element to another field of the same type, select the name of the field from the drop-down list.

* - The range of available colors depends on the type of your form (black and white or color).

Note: You may purchase additional fonts and multilingual font support at www.paratype.com/shop/.


Deleting a Date Field Element

To delete a date field element:

  1. Select the Date Field element;
  2. Select the Delete item (Edit>Delete menu or Delete item from the shortcut menu).


Number Fields

Numeric Fields

A numeric field is an element of a machine-readable form, which is meant to input figures when filling in the form.

Show me a numeric field element

Adding Numeric Field Element

Editing Numeric Field Element

Deleting Numeric Field Element


Adding Number Field Element

Adding Numeric Field Element

To add a numeric field

Machine-readable form element where numbers are to be entered by the person filling out the form.
element on the form:
  1. On the Form Elements toolbar, select the Numeric Field tool.
  2. Click in the form where you wish to place the element, hold down the left mouse button and drag the mouse diagonally. A rectangle will appear on the screen. Adjust the size of the added element. Release the mouse.

Note: You can also create an element with a single click of the mouse: once you have selected the required tool, simply click in the form where you wish the element to be added. The default element size will be used. To place several elements of the same type on your form, hold down the Ctrl key and click repeatedly where you wish the elements to be positioned.


Editing Number Field Element

Editing a Numeric Field Element

For each numeric field

An element of a machine-readable form, which is meant to input figures when filling in the form.
element the following properties are specified: position and size of elements, text marking, character cell size, multiple rows, bold/normal marking line, color of marking, number of character cells to record the fractional part of a decimal number, separator, separator color, tips color, tips font, tips text font, automatic selection of height of tips fonts, color of elements background, and linked fields.

You can change the properties of the numeric field element in the Element Properties window located in the bottom right corner of the main window. The Element Properties window is displayed only if View>Element Properties is selected on the main menu.

Item

Description

Element

Type

Numeric Field.

Position & Size Group

Left

Sets the distance you wish between the left edge of the form and the element with no left indent.

Top

Sets the distance between the top edge of the form and the element.

Width

Sets the width of a numeric field element.

Height

Sets the height of a numeric field element.

Alignment

Horizontal

Aligns the text within the element horizontally:

  • Center - centers the text horizontally
  • Left - aligns the text to the left edge of the element
  • Right - aligns the text to the right edge of the element

Vertical

Aligns the text within the element vertically:

  • Bottom - aligns the text to the bottom edge of the element
  • Center - centers the text vertically
  • Top - aligns the text to the top edge of the element

Orientation

 Sets the orientation of the text.
  • Normal (horizontal) - the text will be placed horizontally, left to right
  • Vertical (top-to-bottom) - the text will be placed vertically, top to bottom
  • Vertical (bottom-to-top) - the text will be placed vertically, bottom to top

Marking

Marking type

Selects a marking type from the list:

  • Letters in Separate Dotted Frames
  • Letters in Separate Frames
  • Letters on a Comb
  • Text in a Frame with a Comb
  • Letters in Frames

Cell size

Selects a cell size from the list:

  • Standard - standard recommended cell size (4х5мм)
  • Maximum - a maximum of recommended cell sizes (5х6.5мм)
  • Minimum - a minimum of recommended cell sizes (3х4мм)

Bold marking line (when any marking type but Letters in Separate Dotted Frames is selected)

Selects a bold text marking line.

Marking color

Selects a marking color from the drop-down list*.

Number

Decimal places

Selects the number of decimal places for decimal numbers.

Separator

Selects a separator for numbers:

  • .

  • /

  • -

Color

Selects a separator color from the drop-down list*.

Tip text

Selects a tip color. The tip will be typed in the Numeric Field of the form: each letter in the corresponding cell.

Color

Selects a tip color from the drop-down list*.

Font

Selects a tip font.

Auto size font

Selects font size for tips automatically, according to the height of character cells of the field.

Background

Same as form background

Makes the background of the Numeric Field the same color as the background of the form.

Other

Selects a Numeric Field background color from the drop-down list*.

Linked Field

Linked field

By default, whenever you create an element on your form, a field is created within the document structure to which this element is linked. To link your element to another field of the same type, select the name of the field from the drop-down list.

* - The range of available colors depends on the type of your form (black and white or color).

Note: You may purchase additional fonts and multilingual font support at www.paratype.com/shop/.


Deleting Number Field Element

Deleting Numeric Field Element

To delete a numeric field element:

  1. Select a numeric field element.
  2. Select Delete item (Edit>Delete menu or Delete item from the shortcut menu).


Checkmark Fields

A checkmark field is an element of a machine-readable form (usually a check box) in which a mark (e.g. a check, a cross, etc.) is made by the person filling out the form.

Adding a Checkmark Field Element

Editing a Checkmark Field Element

Deleting a Checkmark Field Element


Adding a Checkmark Field

To add a checkmark field element:

  1. On the Form Elements toolbar, select the Checkmark Field tool.

  2. Click in the form where you wish the checkmark field element to be added, hold down the left mouse button and drag the mouse diagonally. Release the mouse.

Note: You can also create an element with a single click of the mouse: once you have selected the required tool, simply click in the form where you wish the element to be added. The default element size will be used. To place several elements of the same type on your form, hold down the Ctrl key and click repeatedly where you wish the elements to be positioned.


Editing a Checkmark Field

For each checkmark field element, the following properties can be specified: text position, field size, border width, border color, standoff, text, font, word wrap, text color, background color, linked field.

You can change the properties of the Checkmark Field element in the Element Properties window located in the bottom right corner of the main window. The Element Properties window is displayed only if View>Element Properties is selected on the main menu.

To change the explanatory text of a checkmark field, double-click the text area.

Item

Description

Element

Type

Checkmark Field.

Position & Size Group

Left

Sets the distance you wish between the left edge of the form and the element with no left indent.

Top

Sets the distance between the top edge of the form and the element.

Width

Sets the width of a checkmark field element.

Height

Sets the height of a checkmark field element.

Text

Text

The explanatory text accompanying the Checkmark Field.

Font

The font of the explanatory text.
To change the font, its size and style (italic, bold, underline, etc.) click the Change … button and in the Font dialog box that appears, select the required font, font size and style.

Font color

Selects a text background color from the drop-down list*.

Word wrap

Wraps the lines of the text without breaking words.

Checkmark Field

Type

The shape of the Checkmark Field:

  • Square

  • Circle

  • Underline

Position

Sets the position of the Checkmark Field in relation to the explanatory text:

  • Left of Text – checkmark field to the left of the text

  • Right of Text - checkmark field to the right of the text

  • Above Text - checkmark field above the text

  • Below Text - checkmark field below the text

Size

A drop-down list containing predefined field sizes (3.5x3.5, 4x4, 4.5x4.5, or 5x5 mm).

Line width

Sets the width of field borders (ranging from 0.4 mm to 0.8 mm).

Standoff

Sets the gap between the checkmark field and the text explanatory text (ranging from 2 mm to 7 mm).

Color

Selects a field border color from the drop down list*.

Background

Same as form background

Makes the background of the Checkmark Field the same color as the background of the form.

Other

Selects a checkmark field background color from the drop-down list*.

Linked Field

Linked field

By default, whenever you create an element on your form, a field is created within the document structure to which this element is linked. To link your element to another field of the same type, select the name of the field from the drop-down list.

*- The range of available colors depends on the type of your form (black and white or color).

Note: You may purchase additional fonts and multilingual font support at www.paratype.com/shop/.


Deleting a Checkmark Field

To delete a checkmark field element:

  1. Select the checkmark field element you wish to delete.
  2. On the Edit menu, select Delete (or select the Delete item on the shortcut menu).


Line Separators

A line separator is an element of a machine-readable form in the shape of a vertical or horizontal black line.

Adding a Line Separator Element

Editing a Line Separator Element

Deleting a Line Separator Element


Adding a Line Separator Element

To add a line separator element:

  1. On the Form Elements toolbar, select the Line Separator tool.

  2. Click in the form where you wish the line separator element to be added, hold down the left mouse button and drag the mouse diagonally. A rectangle will appear on the screen. Adjust the size of the added element. Release the mouse.

Note: You can also create an element with a single click of the mouse: once you have selected the required tool, simply click in the form where you wish the element to be added. By default, a horizontal separator will be created. Hold down the Shift button to create a vertical separator. The default element size will be used. To place several elements of the same type on your form, hold down the Ctrl key and click repeatedly where you wish the elements to be positioned.


Editing a Line Separator Element

For each line separator element, the following properties can be specified: name, position and size, style, and line width and color.

You can change the properties of the line separator element in the Element Properties window located in the bottom right corner of the main window. The Element Properties window is displayed only if View>Element Properties is selected on the main menu.

Item

Description

Element

Type

Line Separator.

Position & Size Group

Left

Sets the distance you wish between the left edge of the form and the element with no left indent.

Top

Sets the distance between the top edge of the form and the element.

Width

Sets the width of a line separator element.

Height

Sets the height of Line Separator element.

Line

Width

Sets the line separator width (ranging from 0.1 mm to 2.5 mm).

Style

Sets the style of the line:

  • Dashes

  • Dots

  • Solid

Color

 Selects a line separator color from the drop-down list.

Note: The range of available colors depends on the type of your form (black and white or color). In the case of black and white forms, the separators are black.


Deleting a Line Separator Element

To delete a line separator element:

  1. Select the line separator element you wish to delete.

  2. On the Edit menu, select Delete (or select the Delete item on the shortcut menu).


Frames

A frame is an element of a machine-readable form that encloses an area on a form.

Show me a frame element

Adding a Frame Element

Editing a Frame Element

Deleting a Frame Element


Adding a Frame Element

To add a frame element:

  1. On the Form Elements toolbar, select the Frame tool.

  2. Click in the form where you wish the frame element to be added, hold down the left mouse button and drag the mouse diagonally. A rectangle will appear on the screen. Adjust the size of the added element. Release the mouse.

Note: You can also create an element with a single click of the mouse: once you have selected the required tool, simply click in the form where you wish the element to be added. The default element size will be used. To place several elements of the same type on your form, hold down the Ctrl key and click repeatedly where you wish the elements to be positioned.


Editing a Frame Element

For each frame element, the following properties can be specified: position and size, line width and color, style.

You can change the properties of the frame element in the Element Properties window located in the bottom right corner of the main window. The Element Properties window is displayed only if View>Element Properties is selected on the main menu.

Item

Description

Element

Type

Frame

Position & Size Group

Left

Sets the distance you wish between the left edge of the form and the element with no left indent.

Top

Sets the distance between the top edge of the form and the element.

Width

Sets the width of a frame element.

Height

Sets the height of a frame element.

Line

Width

Sets frame width (ranging from 0.1 mm to 2.5 mm).

Style

Sets the style of the frame:

  • Dashes

  • Dots

  • Solid

Color

Selects a frame color from the drop-down list.

Note: The range of available colors depends on the type of your form (black and white or color).


Deleting a Frame Element

To delete a frame element:

  1. Select the frame element you wish to delete.

  2. On the Edit menu, select Delete (or select the Delete item on the shortcut menu).


Pictures

A picture is an element of a machine-readable form that contains an image.

Adding a Picture Element

Editing a Picture Element

Deleting a Picture Element


Adding a Picture Element

To add a picture element:

  1. On the Form Elements toolbar, select the Picture tool.

  2. Click in the form where you wish the picture element to be added, hold down the left mouse button and drag the mouse diagonally. A rectangle will appear on the screen. Adjust the size of the added element.

Note: You can also create an element with a single click of the mouse: once you have selected the required tool, simply click in the form where you wish the element to be added. The default element size will be used. To place several elements of the same type on your form, hold down the Ctrl key and click repeatedly where you wish the elements to be positioned.

  3. In the Open Image dialog box that appears, browse to the file containing the image you wish to add to the form.


Editing a Picture Element

For each picture element, the following properties can be specified: position and size, size changing mode, alignment, source image file and background color.

The properties of a Picture element can be edited in the Element Properties dialog box (right-click a picture element and select Properties… on the shortcut menu).

You can change the properties of the Picture element in the Element Propertieswindow located in the bottom right corner of the main window. The Element Properties window is displayed only if View>Element Properties is selected on the main menu.

Item

Description

Element

Type

Picture.

Position & Size group

Left

Sets the distance you wish between the left edge of the form and the element with no left indent.

Top

Sets the distance between the top edge of the form and the element.

Width

Sets the width of Picture element.

Height

Sets the height of Picture element.

Picture

Size mode

Changes the size of the element in one of three modes:

  • Clip – changes the size of the element but does not change the size of the picture and its proportions.
    The picture itself cannot be enlarged in this mode.
    If the element becomes smaller than the picture, a part of the picture will become invisible on the form.

  • Stretch – changes the size of the element and shrinks or stretches the picture depending on the size of the element. The entire image will always be displayed, but the image proportions will not be preserved.

  • Zoom – changes the size of the element and enlarges or reduces the picture size in proportion to the size of the element. The entire image will always be displayed, and the image proportions will be preserved.

Alignment

Aligns the image inside the element:

  • Top Left – places the picture in the top left corner of the element

  • Top Right – places the picture in the top right corner of the element

  • Center – places the picture in the center of the element

  • Bottom Left – places the picture in the bottom left corner of the element

  • Bottom Right – places the picture in the bottom right corner of the element

Source

Specifies the source image file.

To specify the source file from which the picture will be loaded:

  1. Click the "…" button.

  2. In the dialog box that appears, browse to the file containing the picture you wish to add to the form.

The following image formats are supported:

  • Bitmap (*.bmp)
  • DCX (*.dcx)
  • DJVU (*. djvu)
  • GIF (*. gif)
  • JBIG2 (*. jbig2)
  • JPEG (*.jpg; *.jpeg; *.jfif)
  • JPEG-2000 (*.jp2; *.j2c)
  • PCX (*.pcx)
  • PNG (*.png)
  • TIFF (*.tif; *.tiff)
  • PDF (*.pdf)

Background

Same as form background

Makes the background of the Picture the same color as the background of the form.

Other

Selects a Picture background color from the drop-down list.

Note: The range of available colors depends on the type of your form (black and white or color).


Deleting a Picture Element

To delete a picture element:

  1. Select the picture element you wish to delete.
  2. On the Edit menu, select Delete (or select the Delete item on the shortcut menu).


Form Identifiers

Identifiers

An identifier is an element of a machine-readable form that allows the forms processing program to identify the form or one of its pages.

We recommend adding identifiers to your forms. This will help the forms processing program to identify each form as belonging to a given set of forms during processing.

An identifier element can identify either an entire form or a particular page on which it is located. You can also specify a custom value for an identifier.

ABBYY FormDesigner 9.0 can add the following types of form identifier to your forms: barcode only, barcode with digits, and digits only. All these types of identifier are in fact a representation of a unique thirteen-digit number that is given to a form upon publishing. Before you have published a form, the form identifier element will have the word "Draft" written over it.

The barcode only and barcode with digits can be customized by selecting the type of barcode (EAN13 or EAN8).

Type | Description
Barcode Only | A barcode will be used to identify the form.
Barcode with Digits | A barcode with digits will be used to identify the form (the digits can be placed either above or below the bars).
Digits Only 1236489271602 | A thirteen-digit number will be used to identify the form.

Adding an Identifier Element

Editing an Identifier Element

Deleting an Identifier Element


Adding an Identifier Element

To add an identifier element:

  1. On the Form Elements toolbar, select the Identifier tool.

  2. Click in the form where you wish the identifier element to be added, hold down the left mouse button and drag the mouse diagonally. A rectangle will appear on the screen. The form identifier will be placed in the top left corner of the rectangle once you have released the mouse.

Note: You can also create an element with a single click of the mouse: once you have selected the required tool, simply click in the form where you wish the element to be added. The default element size will be used. To place several elements of the same type on your form, hold down the Ctrl key and click repeatedly where you wish the elements to be positioned.


Editing an Identifier Element

The standard size of an identifier is 46x12 mm.

For each identifier element, the following properties can be specified: position and size, type, orientation and value.

Identifier element properties do not depend on the form type.

You can change the properties of the identifier element in the Element Properties window located in the bottom right corner of the main window. The Element Properties window is displayed only if View>Element Properties is selected on the main menu.

Item

Description

Element

Type

Identifier.

Position & Size Group

Left

Sets the distance you wish between the left edge of the form and the element with no left indent.

Top

Sets the distance between the top edge of the form and the element.

Width

Sets the width of the identifier element.

Height

Sets the height of the identifier element.

Identifier

Type

Sets the type of identifier:

  • Barcode Only

  • Barcode with Digits

  • Digits Only

Barcode type

Selects the type of barcode if the identifier type is set to Barcode Only or Barcode with Digits and if the Custom value option is selected.

Available barcode types:

  • EAN13
  • EAN8

If the Custom value option is not selected, the Barcode type will be grayed out. The EAN13 barcode type will be used.

Orientation

Sets the orientation of the barcode:

  • Horizontal

  • Vertical

Value

The value of the Identifier

Identifier values can only be changed if the Custom value option is selected. For EAN13, custom values must contain 12 digits and for EAN8 custom values must contain 7 digits. Longer or shorter values or characters other than digits are not allowed. For EAN13, an additional control digits is added at the beginning of the string (outside the barcode itself) and for EAN8 and additional control digit is added at the end of the string within the barcode body.

If the Form identifier pr Page identifier option is selected, the identifier will be assigned a value automatically when the form is published. Before a form is published, it has Editable status and no identifier value is yet assigned.

Form identifier

Uses an element as a form identifier.

Page identifier

Uses an element as an identifier for the current page.

Custom value

Allows custom values for an identifier. This option is not available for Digits Only identifiers.


Deleting an Identifier Element

To delete an identifier element:

  1. Select the identifier element you wish to delete.

  2. On the Edit menu, select Delete (or select the Delete item on the shortcut menu).


Tables

A table is an element of a machine-readable form that contains columns of elements of the same type.

Table columns may contain the following elements:

  • text
  • entry field
  • date field
  • numeric field
  • checkmark field

A table may include a row with the names of the columns.

In terms of document structure, each table field has child fields corresponding to the columns of a table element.

Adding a Table Element

Editing a Table Element

Deleting a Table Element


Adding a Table Element

To add a table element:

An element of a machine-readable form which contains columns of elements of the same type (e.g. text fields or checkmark fields); may include a row with the names of the columns.
  1. On the Form Elements toolbar, select the Table tool.
  2. Click in the form where you wish the table element to be added, hold down the left mouse button and drag the mouse diagonally. A rectangle will appear on the screen. Adjust the size of the added element.

Note: You can also create an element with a single click of the mouse: once you have selected the required tool, simply click in the form where you wish the element to be added. The default element size will be used. To place several elements of the same type on your form, hold down the Ctrl key and click repeatedly where you wish the elements to be positioned.

  3. In the dialog box that opens, specify the type of the table.
    • Select Use first row as header, if you wish to use the first table row as the header;
    • In the table displayed in the center of the dialog box, replace the default data names and data types with the desired names and types. You can select any number of columns;
    • In the Number of rows field, type the number of rows in your table.

Adding separators

If your form contains a table, the toolbar buttons for adding and removing separators become active. You can use these buttons to add/remove separators, thereby changing the number of rows and columns in the table.

Select the Add Separator tool and do one of the following:

  • Click inside the table to create a separator
  • Place the mouse cursor on an existing separator to move this separator. Placing the mouse cursor o an intersection of two separators will move both separators
  • Hold down the Ctrl key and place the mouse cursor on a separator to delete it
  • Hold down the Shift key and place the mouse cursor on a separator to change its type from vertical to horizontal and vice versa

Creating columns

Table columns may only contain elements of the same type. To create table columns, select the required element of the toolbar and click inside a column. An element of the selected type will be added into each cell in the column.

You can create columns of the following types:

  • text
  • entry field
  • date field
  • numeric field
  • checkmark field


Editing a Table Element

For each table

An element of a machine-readable form which contains columns of elements of the same type (e.g. text fields or checkmark fields); may include a row with the names of the columns.
element the following properties can be specified: the coordinates and size of the element; width, style, and color of the lines; cell spacing; whether the first row contains column names; a linked field.

You can change the properties of the table element in the Element Propertieswindow located in the bottom right corner of the main window. The Element Properties window is displayed only if View>Element Properties is selected on the main menu.

Item

Description

Element

Type

Table.

Position & Size

Left

Sets the distance between the left edge of the form and the element.

Top

Sets the distance between the top edge of the form and the element.

Width

Sets the width of the table element.

Height

Sets the height of the table element.

Line

Width

Sets the line separator width (ranging from 0.1 mm to 2.5 mm).

Style

Sets the style of the line:

  • Dashes
  • Solid
  • Dots

Color

Selects a line separator color from the drop-down list*.

Background

Same as form background

Makes the background of the table the same color as the background of the form.

Other

Selects a table background color from the drop-down list*.

Table

Cell spacing

Sets the distance between table cells.

Use first row as header

If this option is selected, the first row will contain the names of the columns.

Linked Field

Linked field

By default, whenever you create an element on your form, a field is created within the document structure to which this element is linked. To link your element to another field of the same type, select the name of the field from the drop-down list.

*- The range of available colors depends on the type of your form (black and white or color).


Deleting a Table Element

To delete a table element:

  1. Select the table element you wish to delete.
  2. On the Edit menu, select Delete (or select the Delete item on the shortcut menu).


Groups of Elements

A group of elements is an element of a machine-readable form which joins several logically connected elements.

Groups can be used to create groups of checkmark fields, for example. Or you can group elements together to quickly copy them retaining all their properties. One application of groups is the creation of several sub-forms with similar sets of fields.

Groups can be nested.

Adding a Group of Elements

Editing a Group of Elements

Deleting a Group of Elements


Adding a Group of Elements

To add a group of elements:

An element of a machine-readable form which joins several logically connected elements
  1. On the Elements toolbar, select the Group of Elements tool.
  2. Click in the form where you wish the group of elements element to be added, hold down the left mouse button and drag the mouse diagonally. Release the mouse. A rectangle will appear.

Note: You can also create an element with a single click of the mouse: once you have selected the required tool, simply click in the form where you wish the element to be added. The default element size will be used. To place several elements of the same type on your form, hold down the Ctrl key and click repeatedly where you wish the elements to be positioned.

Adding elements to a group

There are three ways to add an element to a group:
  1. Create elements that will be part of a group. Select the Group of Elements tool and use the mouse to enclose the elements in a rectangle. All the fully enclosed elements will become part of a group.
  2. Create a group using the Group of Elements tool. Create elements inside the group.
  3. Create a group using the Group of Elements tool. Drag and drop the required elements into the group.
To copy a group together with all of its elements, select the group so that all of its elements are selected. Now if you copy the group all of its elements will be copied, retaining their properties.


Editing a Group of Elements

For each group of elements

An element of a machine-readable form which joins several logically connected elements.

 the following properties are specified: coordinates, size, line style, background color, and linked field.

You can change the properties of the group of elements element in the Element Properties window located in the bottom right corner of the main window. The Element Properties window is displayed only if View>Element Properties is selected on the main menu.

Item

Description

Element

Type

Group of elements.

Position & Size

Left

Sets the distance you wish between the left edge of the form and the element with no left indent.

Top

Sets the distance between the top edge of the form and the element.

Width

Sets the width of a group of elements.

Height

 Sets the height of group of elements.

Text

Text

Edits the explanatory text for a group of elements.

Font

The font used for the text within the element.
To change the font, its size and style (italic, bold, underline, etc.) click the Change … button and in the Font dialog box that appears, select the required font, font size and style.

Color

Selects a text color from the drop-down list*.

Word wrap

Wraps the lines of the text without breaking words.

Line

Width

Sets line width (ranging from 0.1 mm to 2.5 mm).

Style

Sets the style of the line:

  • Dashes
  • Dots
  • Solid

Color

Selects a line color from the drop-down list*.

Background

Same as form background

Makes the background of the group of elements the same color as the background of the form.

Other

Selects a background color for the group of elements from the drop-down list*.

Linked Field

Linked field

By default, whenever you create an element on your form, a field is created within the document structure to which this element is linked. To link your element to another field of the same type, select the name of the field from the drop-down list.

*- The range of available colors depends on the type of your form (black and white or color).

Note: You may purchase additional fonts and multilingual font support at www.paratype.com/shop/.


Deleting a Group of Elements

To delete a group of elements:

  1. Select a group of elements you wish to delete
  2. Select the Delete command (Edit>Delete or shortcut menu)

Important! If you are deleting elements that are part of group, the group will also be deleted. To delete the group but retain the elements, make sure that only the group is selected, not the elements.


Resizing Form Elements

Form elements can be resized as indicated by green dots on the borders of an element that become visible when the element is selected.

Not all elements can be resized directly with the mouse. The size of an anchor, for example, can only be changed on the Anchor tab of the Element Properties dialog box. Elements whose size can be changed have green dots along their borders when selected, and elements whose size cannot be changed have white dots.

To change the size of a form's element:

  1. Select the element you wish to resize.
  2. Place the mouse cursor on any green dot of the element's borders corresponding to the chosen direction of resizing the element; the cursor will change for arrows.
  3. Click the required green dot, hold down the mouse button and move the mouse in the desired direction.

It is possible to resize elements symmetrically. It means that the element's size will change in the chosen and opposite direction.

To resize a form element symmetrically:

  1. Select the element you wish to resize.
  2. Press and hold the Ctrl button.
  3. Place the mouse cursor on the required green dot of the border of the element; the cursor will change for arrows.
  4. Click the required green dot, hold down the mouse button and move the mouse in the desired direction.

You can also change the size of an element by binding two of its borders to parallel rulers. If you bind several elements to parallel rulers, you will be able to change the vertical or horizontal size of all the bound elements simultaneously and to the same degree.

To change the size of an element using rulers:

  1. Use the [image] or [image] tool to create two parallel rulers.
  2. Move the rulers or the desired elements so that the elements' borders which need to be resized coincide with the rulers. This will bind the borders to the rulers.
  3. Click one of the rulers and drag it holding down the left mouse button. The size of all the elements will be changing as you move the ruler. Release the mouse when the elements are the right size.

Note: You can only change the vertical size of the entry field element if the Multiple rows option is selected for it.


Changing the Background Color of Form Elements

You can change the color of some of the elements while leaving the other elements black and white.

Note: You can set and change the color only for the following elements:

  • Text
  • Entry Field
  • Date Field
  • Numeric Field
  • Checkmark Field
  • Picture
  • Table
  • Group of Elements

To change the color of some of the elements on the form:

  1. On the Color tab of the Page Settings dialog box (Form>Page Properties…), change the form style to color dropout form
  2. Change the color of the form to white:
    • Go to the Color tab of the Page Settings dialog box (Form>Page Properties…)
    • Under Page Background, select White from the Color drop-down list
  3. Change the color of the required elements to gray:
    • Select the required elements on the form
    • Right-click an element and select Properties…
    • In the Element Properties dialog box, click the Background tab
    • Clear the Same as form background box and select required color in the Other field
  4. For the rest of the form elements, select White for the background and Black for text marking.


Selecting and Moving Form Elements

You must select a form element before you can move or edit it.

To select a form element:

  1. On the Form Elements toolbar, click the Selection tool.
  2. Click the desired form element.

To move a form element:

  1. Select the element you wish to move.
  2. Place the mouse cursor inside the element. The arrow will change to [image].
  3. Click the element, hold down the mouse button and move the element to the desired location on the form.

To move several elements at a time:

  1. Select the elements you wish to move (click the Selection tool, hold down the Shift button and click all the elements you wish to move).
  2. Place the mouse cursor inside one of the selected elements. The arrow will change to [image].
  3. Click one of the selected elements, hold down the mouse button and move the selected elements to the desired location on the form.

When you create an entry field (either text, number, or date field), it is linked with its name. When you move such a field, its name also moves.

Moving an element (or several elements) while holding down the Ctrl key will create a copy of this element (these elements).

To select elements that are part of a group of elements, click inside the group. When you move a group, all the elements in this group are moved.

You can view and edit the common properties of the selected elements.

Merging Form Elements

Using Rulers to Align Form Elements


Merging Form Elements

Merging form elements is useful when you wish to preserve the positional relationship of the elements on the form when moving them.

To merge several elements:

  1. Select the form elements you wish to group.
  2. Select the Merge tool on the Edit toolbar.

To split elements:

  1. Select the merged elements you wish to split.
  2. Select the Split tool on the Edit toolbar.

To add an element to previously merged elements:

  1. Select the previously merged elements.
  2. Press and hold down the Shift button and select the element you wish to add to the group.
  3. Select the Add to Merged Elements tool on the Edit toolbar.


Using Rulers to Align Form Elements

Rulers are a convenient tool for aligning elements on a form. Elements that need to be placed on the same line vertically or horizontally can be "bound" to the appropriate ruler. When a ruler is moved, all the elements that are bound to it will be moved together, so that you do not need to select the elements manually each time you move them.

You can bound two sides of a n element to two parallel rulers. In this case, when you move the rulers, the size of the element will change accordingly. If you bind several elements to two parallel rulers, you will be able to change their sizes simultaneously.

Adding rulers

To add rulers to a page:

  • Click one of the main rulers located on the edges of the form. Clicking the horizontal ruler will add a vertical ruler and vice versa.
  • Select the [image] tool to add a horizontal ruler or the [image] tool to add a vertical ruler and then click where you wish the new ruler to be located.

Binding elements to rulers

To bind an element to a ruler, you need to place one of the borders of the element on the ruler. This can be achieved by moving the ruler, by moving the element, or by adjusting the size of the element.

If the automatic binding mode is on ( [image]), when you move a ruler, it will be automatically bound to all the elements located sufficiently close to the ruler. This mode is turned off by default.

When you select a ruler, all the elements bound to it are highlighted in the same color used to highlight the ruler. When you select an object that is bound to a ruler, the small square on the bound side of the object turns to red, so you will always know which rulers an element is bound to and which elements are bound to a particular ruler.

Moving rulers and elements

You can move rulers about your form by dragging them while holding down the left mouse button. Two rulers located in the same place will merge into one.

When you move a ruler, all the elements that are bound to it will also move. If an element is bound to two parallel rulers, its size will change when you move one of the rulers (provided this element allows changing its size).

Unbinding elements

To unbind an element, simply select it and move it away from its ruler.

Deleting rulers

To delete a ruler, select it and press Delete or select the Delete command on the menu.


Saving and Publishing a Form; Checking a Form for Machine-Readability

The form creation process consists of several stages including form design, making changes to the design, printing, etc. To save the interim results of your work, use the standard Save command. Once the form has been designed and its final design has been approved, it is advisable to publish the form, i.e. to assign it Published status so that no accidental changes can be made to the final design.

Saving a Form

Publishing a Form

Ensuring Machine-Readability


Saving a Form

To save a form, use the standard Save or Save As… commands (File>Save or File>Save As…).

The Save As… command will save either a form or a form or page sample. To select a format, use the Save as type drop-down list.

Forms created in ABBYY FormDesigner 9.0 are saved as *.fdd files (Form Definition Files).

Form samples are binary files with the extension *.dtf. Page samples are saved in *.ptf format, which is a modified version of *.fdd format.


Ensuring Machine-Readability

You can check your form to make sure it is machine-readable at any moment of the design stage (Tools>Check Form).

If no errors are detected, you will see a message saying that the check was successful.

If some errors are detected, they will be displayed at the bottom of the window after the check completes.

A report will contain all the defects that may prevent the form from being correctly processed by computer: no anchors, no form identifiers, form elements are too close or overlap form margins, etc.

Button | Description
Show Elements | Shows an element that does not meet the machine-readability requirements. The button becomes available when a report line is selected.
Check Form | Use this button after you correct the errors to make sure that your form is machine-readable now.
Save Report… | Save the checking results report into a .TXT file.


Publishing a Form

When you publish a form, you assign it Published status, which means that no changes can be made to the final design of the form. When you publish a form, ABBYY FormDesigner 9.0 automatically checks your form to ensure it is machine-readable and gives it a unique form identifier.

To publish a form, use the Publish Form command (File>Publish Form). Published forms are read-only. All the form identifier elements are assigned a unique numerical value (the same for all the form identifiers of a given form) and the form's status changes from Edited to Published.

Publishing a Form with Warnings

When publishing, a form is checked to ensure its machine-readability. If the program detects that your form is not machine-readable, the Publish Form with Warnings dialog box will be opened. Use this dialog box to make your form machine-readable or to publish your form in spite of the warnings.

Important!

Using a form that is not machine-readable may result in poor recognition quality!

The Publish Form with Warnings dialog box shows the report about all failures to comply with the machine-readability requirements.

Button | Description
Publish Anyway | Publishes your form ignoring its non-compliance with the machine-readability requirements.
Edit Form | At the bottom of the window, a report is displayed showing any errors detected when checking the form. Use this report to correct the errors and make your form machine-readable.

Editing a Published From

To make changes to a Published form, select the Save Editable Copy As… command on the File menu. ABBYY FormDesigner 9.0 will prompt you to save the form under a different name before you can make any changes to its design. The status of the form with a new name will change from Published to Draft, and the values of the form identifiers will be set to 0.

Tip
We recommend publishing your forms once you have completed their design. This will help track any changes you make to the finished forms and avoid printing forms which look very similar but are in fact different.


Exporting a Form

After the form has been created, it can be exported to various image formats, images with color separation, a special XML Form Definition format, PDF and InfoPath forms, and into Adobe Illustrator files.

Some export types are available for published forms only.

Export to image formats is required for sending the from to a printing shop.

Export to XML Form Definition format creates a file from which ABBYY FlexiCapture 9.0 can automatically create a Document Definition for the form.

Exporting a Form to an Image File

Exporting a Form to an Separate Image Files…

Exporting a Form to XML Form Definition format (*.xfd)

Exporting a Form to PDF Form…

Exporting a Form toInfoPath Form…

Exporting a Form to an Adobe Illustrator File…


Exporting a Form into an Image File

Exporting a Form to an Image File

A form can be exported to an image format at any moment of the design stage. If the form has Draft status, the form identifier element will have the word "Draft" written over it. If the form has Published status, the form identifier will have the standard appearance depending on its type (barcode only, barcode with digits, or digits only).

To export a form to an image file, use the Image File… command (File>Export To…>Image File…).

ABBYY FormDesigner 9.0 can export forms to the following image formats:
  • Bitmap, Black and White (*.bmp, *.dib, *.rle)
  • Bitmap, Gray (*.bmp, *.dib, *.rle)
  • Bitmap, Color (*.bmp, *.dib, *.rle)
  • DCX, Black and White (*.dcx)
  • DCX, Gray (*.dcx)
  • DCX, Color (*.dcx)
  • JBIG2 (*.jbig2, *.jb2)
  • JPEG, Gray (*.jpg *.jpeg)
  • JPEG, Color (*.jpg *.jpeg)
  • JPEG-2000, Gray (*.jp2, *.j2k)
  • JPEG-2000, Color (*.jp2, *.j2k)
  • PCX, Black and White (*.pcx)
  • PCX, Gray (*.pcx)
  • PCX, Color (*.pcx)
  • PNG, Black and White (*.png)
  • PNG, Gray (*.png)
  • PNG, Color (*.png)
  • TIFF, Black and White, Unpacked (*.tif, *.tiff)
  • TIFF, Black and White, Group4 (*.tif, *.tiff)
  • TIFF, Black and White, Packbits (*.tif, *.tiff)
  • TIFF, Black and White, ZIP compression (*.tif, *.tiff)
  • TIFF, Black and White, LZW Compression (*.tif, *.tiff)
  • TIFF, Gray, Unpacked (*.tif, *.tiff)
  • TIFF, Gray, Packbits (*.tif, *.tiff)
  • TIFF, Gray, JPEG compression (*.tif, *.tiff)
  • TIFF, Gray, ZIP compression (*.tif, *.tiff)
  • TIFF, Gray, LZW Compression (*.tif, *.tiff)
  • TIFF, Color, Unpacked (*.tif, *.tiff)
  • TIFF, Color, Packbits (*.tif, *.tiff)
  • TIFF, Color, JPEG compression (*.tif, *.tiff)
  • TIFF, Color, ZIP compression (*.tif, *.tiff)
  • TIFF, Color, LZW Compression (*.tif, *.tiff)
  • PDF (*.pdf)
  • EMF (*.emf)

Exporting images with color separation

You may need to save your color form to two separate files in order to print it at the printer's. One file will contain the elements that must be printed in black and the other file will contain the elements to be printed in color.

Select File>Export To>Separate Image Files…. The images will be saved as TIFF files, the black and white file will have _bw in its name and the color file will have _color in its name.

Exporting multi-page forms

Multi-page forms can be exported into any of the supported image formats. In the case of multi-page formats, you can save your form to a multi-page file. Select the Multipage file option when exporting your form to an image file. If this option is not selected, each page will saved into a separate file.

Exporting to a TIFF file with a resolution of your choice

You can select the resolution of a TIFF file on the Export tab of the Options dialog box (Tools>Options…).

Note: TIFF resolution must be in the range from 50 to 1200 dpi.


Export to Images with Color Separation

To print your forma in two colors, you may need to save it to two files - one containing the date to be printed in black and the other the data to be printed in color.

You can export your form to an image file with color separation at any stage. If the form is Edited, its image will have the marked Draft above the identifier. If the form is Published, the appearance of the identifier will depend on the selected identifier type.

To export your form to an image file with color separation, select File>Export To>Image with Color Separation.

The images will be saved as TIFF files. The black-and-white image will have the postfix _bw added to its name and the color file will have the postfix _color.


Exporting a Form to XML Form Definition Format(*.xfd)

With ABBYY FormDesigner 9.0 you can not only create a form but also automatically generate a form description that can then be used to create a Document Definition in ABBYY FlexiCapture 9.0 Professional (a Document Definition tells a form processing application where to look for particular types of information on the document to ensure reliable recognition of entered data).

To create a form description, you first need to export your form to an *.xfd file (XML Form Definition format) and then open it in ABBYY FlexiCapture 9.0 Professional – when creating a Document Definition in ABBYY FlexiCapture, simply import the created *.xfd file, and ABBYY FlexiCapture will automatically create the required Document Definition.

You can only export Published forms to XML Form Definition.

You can choose the format (TIFF or EMF) which ABBYY FormDesigner 9.0 will use for saving your form image to an XFD file.

To export a form to an *.xfd file, use the XML Form Definition… command (File>Export To>XML Form Definition…). In the Export to XML Form Definition dialog box that appears, provide a name for the *.xfd file and browse to the folder where it will be stored.


Exporting a Form to PDF

Only published forms can be exported to PDF.

Before distributing a form electronically, exporting it to PDF is recommended. You will be able to add response button(s) to the form. Clicking these buttons will send the completed form to the specified address.

After exporting an image to the PDF format, you will be able to edit it in other form editing programs, such as Adobe Acrobat Professional.

To export your form to PDF, click File>Export To>PDF Form… on the menu.

1. Before selecting PDF saving options, in the Ways to Get Responses dialog box, choose whether response buttons should be added to your form. The button(s) will appear in the top right corner of the first page. Select from the following options (you can select one or both options or none at all):

- By e-mail (specify an e-mail address)

- By HTTP (specify a URL)

2. In the Export to PDF dialog box, specify a file name and the folder where you want to save the file.

3. You can select additional saving options by clicking Advanced… at the bottom of the Export to PDF dialog box. In the PDF file options dialog box, you can define the following:

- Save mode (text only or image only)

- Font settings (use system fonts or standard fonts)

- Embed fonts (select this option if you want to embed fonts in your form)

Note:
A form can be exported to PDF if it has at least one edited field.


Exporting a Form to InfoPath

You can export a form to Microsoft Office InfoPath at any stage. To obtain a source file project for Microsoft Office InfoPath, click File>Export To>InfoPath Form… on the menu. In the Browse for Folder dialogue box, select a folder where you want to save the project, and click OK. A subfolder named as the saved form will be displayed, containing the files necessary for InfoPath. In InfoPath, open the file manifest.xsf.

Note:
  • For correct processing of forms in InfoPath, make sure Microsoft Office 2007 Service Pack 1 (SP1) is installed on your computer.
  • A form can be exported to InfoPath if it has at least one edited field.


Export to Adobe Illustrator File

You can export the form to an Adobe Illustrator file at any stage.

To convert the form to Adobe Illustrator format, click File>Export To>Adobe Illustrator File…. In the Save As Adobe Illustrator file dialog box, enter a file name and specify the folder where the file will should be saved.


Distributing a Form

You can distribute a form you created and published in ABBYY FormDesigner in hard copy or electronic format (as a PDF form).

Electronic forms may be sent out by e-mail or published on a website. You can also select a response method (by e-mail or on the website), with the possibility of processing the results on the server.

The Form Distribution Wizard will help you select the right sending options. The wizard starts when you click File>Distribute Form… or click [image] on the Standard toolbar.

The Form Distribution Wizard will guide you through all the steps required to distribute a form:

  1. Select whether you wish to distribute your form as hard copy or electronically (select only one option):
    • Hard copy (paper printouts)
    • Soft copy (computer files)

    If you select Hard copy (paper printouts), the wizard will prompt you to print out the form and then will close.

    If you select Soft copy (computer files), the wizard will prompt you to provide sending and receiving options.

  2. Select how the form should be distributed (select only one option):
    • Send to a group of e-mail recipients - if you select this option, click Finish at the bottom of the wizard window. A new message window will open in your mailing program. The message will have your PDF form attached, so you will only have to specify the addressee and enter the text of the message. After sending the email message, return to ABBYY FormDesigner.
    • Save and send later - if you select this option, specify the folder where to save your PDF form. By default, the form is saved in My Documents, and the file has the name of the form. To specify a different folder and file name, click the "..." button next to this option and then click Finish at the bottom of the window.
    • Publish to a network location - if you select this option, specify the URL address where you want publish your PDF form. Example: http://www.example.com/form.pdf. Click Finish at the bottom of the wizard window to publish the form.
    Important!

    You must have write permissions for the website where you want to publish your form.

  3. Select a response method (you can select one or both options or none at all):
    • By e-mail - specify the e-mail address to which completed forms should be sent
    • By HTTP - specify the URL address of the website where the completed forms should be submitted and processed

    Depending on the option(s) you select, a button (or buttons) will appear in the top right corner of the first page in the form. Clicking this button will send the form to the specified website or e-mail address.

    If you choose to receive completed forms on a website, you can set up the website to automatically process submitted forms.


Printing a Form

To print a form:

  1. Select Print… on the File menu.

  2. In the Print dialog box that appears, set the required printing parameters.

Important!

When you print an unpublished form, it will have the words "This is a draft form" printed along its margins.


Printing Partially Filled-Out Forms

ABBYY FormDesigner 9.0 can print both blank forms and forms that already contain data in some of the fields. For example, you can print forms with the name fields already filled out so that each form is addressed to a particular individual. The actual names can be taken from a file or from a database.

To fill out blank forms with data from a database and print them out:

  1. From the File menu, select Print Filled-Out Forms>With Values from Database…
  2. Specify the database connection parameters.

Important! The relevant fields in the database must have the same names as their counterparts on the form. When placing data into a table on the form, specify the full name in the following format: <Table>|<Col>|<Row#>, where <Table> is the name of the table, <Col> is the name of the table column, and <Row#> is the number of the cell (numbering starts from 0).

To fill out blank forms with data from a file and print them out:

  1. From the File menu, select Print Filled-Out Forms>With Values from File…
  2. Specify the path to the file.

Important! You must use *.csv or .txt files in Unicode encoding. The first line in the file must contain the names of the fields, as the program will consider this line as the header. The field names in the file must be the same as the field names on the form. When placing data into a table on the form, specify the full name in the following format: <Table>|<Col>|<Row#>, where <Table> is the name of the table, <Col> is the name of the table column, and <Row#> is the number of the cell (numbering starts from 0).

When printing partially filled-out forms, the program will recognize the data types in the file or database and print them accordingly. For example, if there is a checkmark field on the form that you wish to fill out for your customers, the corresponding field in the file or database may have the values True/False or 1/0. For a radio group, create a separate column with the name of each option and in the columns place either yes or no depending on whether the corresponding option must be selected or not.

The font of the printed out data will correspond to the font of the tip that is specified in the element properties window (the Tip tab).


Hot Keys

Menu | Command | Shortcut Key
File | New… | Ctrl+N
 | Open… | Ctrl+O
 | Save | Ctrl+S
 | Print… | Ctrl+P
Edit | Undo | Ctrl+Z
 | Redo | Ctrl+Y
 | Cut | Ctrl+X
 | Copy | Ctrl+C
 | Paste | Ctrl+V
 | Delete | Del
 | Duplicate | Ctrl+D
 | Delete Block | Shift+Del
 | Select All | Ctrl+A
 | Select by Type… | Ctrl+Shift+A
View | Select by Type… | Alt+Enter
 | Zoom/Best Fit | Ctrl+Shift+Num /
 | Zoom/Zoom Out | Ctrl+Shift+Num -
 | Zoom/Zoom In | Ctrl+Shift+Num +
Element | Draw an Element/Selection Tool | Esc
 | Draw an Element/Entry Field | E
 | Draw an Element/Date Field | D
 | Draw an Element/Numeric Field | N
 | Draw an Element/Checkmark Field | C
 | Draw an Element/Group of Elements | G
 | Draw an Element/Table | T
 | Draw an Element/Vertical Separator | V
 | Draw an Element/Horizontal Separator | H
 | Draw an Element/Text | S
 | Draw an Element/Line Separator | L
 | Draw an Element/Frame | F
 | Draw an Element/Picture | P
 | Draw an Element/Anchor | A
 | Draw an Element/Identifier | I
 | Align/Left | Alt+Left Arrow
 | Align/Center Horizontally | Shift+F9
 | Align/Right | Alt+Right Arrow
 | Align/Top | Alt+Up Arrow
 | Align/Center Vertically | Ctrl+F9
 | Align/Bottom | Alt+Down Arrow
 | Size/Make Same Width | Shift+F8
 | Size/Make Same Height | Ctrl+F8
 | Size/Make Same Width and Height | Ctrl+Shift+F8
 | Merge | Ctrl+Shift+G
 | Split | Ctrl+Shift+U
Tools | Check Form | F9
 | Options… | Ctrl+Shift+O
Help | Help Topics | F1


Hot Keys (Text Editing)

To | Press
Move the cursor one line up. | Up Arrow
Move the cursor one line down. | Down Arrow
Move the cursor to the first line. | Page Up
Move the cursor to the last line. | Page Down
Move the cursor one symbol right. | Right Arrow
Move the cursor one symbol left. | Left Arrow
Move the cursor right, to the beginning of the following word. | Ctrl+ Right Arrow
Move the cursor left, to the beginning of the word. | Ctrl+Left Arrow
Move the cursor to the beginning of the line. | Home
Move the cursor to the end of the line. | End
Move the cursor to the beginning of the text. | Ctrl+Home
Move the cursor to the end of the text. | Ctrl+End
Delete selected text. (If no text is selected, the symbol to the right will be deleted.) | Delete
Delete the symbol before the cursor. | Backspace
Quit text editing mode without saving any changes made. | Esc
Save all the changes made and quit text editing mode. | Enter
Move to the next line. | Ctrl+Enter


Patents

U.S. Patent Nos. 5,258,855, 5,369,508, 5,625,465, 5,768,416 and 6,094,505


Third-Party Technologies

JasPer License Version 2.0

Copyright (c) 2001-2006 Michael David Adams
Copyright (c) 1999-2000 Image Power, Inc.
Copyright (c) 1999-2000 The University of British Columbia.

All rights reserved.

More

Permission is hereby granted, free of charge, to any person (the "User") obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

  1. The above copyright notices and this permission notice (which includes the disclaimer below) shall be included in all copies or substantial portions of the Software.

  2. The name of a copyright holder shall not be used to endorse or promote products derived from the Software without specific prior written permission.

THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE.

NO USE OF THE SOFTWARE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER. THE SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. IN NO EVENT SHALL THE COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, OR ANY SPECIAL INDIRECT OR CONSEQUENTIAL DAMAGES, OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE. NO ASSURANCES ARE PROVIDED BY THE COPYRIGHT HOLDERS THAT THE SOFTWARE DOES NOT INFRINGE THE PATENT OR OTHER INTELLECTUAL PROPERTY RIGHTS OF ANY OTHER ENTITY. EACH COPYRIGHT HOLDER DISCLAIMS ANY LIABILITY TO THE USER FOR CLAIMS BROUGHT BY ANY OTHER ENTITY BASED ON INFRINGEMENT OF INTELLECTUAL PROPERTY RIGHTS OR OTHERWISE. AS A CONDITION TO EXERCISING THE RIGHTS GRANTED HEREUNDER, EACH USER HEREBY ASSUMES SOLE RESPONSIBILITY TO SECURE ANY OTHER INTELLECTUAL PROPERTY RIGHTS NEEDED, IF ANY. THE SOFTWARE IS NOT FAULT-TOLERANT AND IS NOT INTENDED FOR USE IN MISSION-CRITICAL SYSTEMS, SUCH AS THOSE USED IN THE OPERATION OF NUCLEAR FACILITIES, AIRCRAFT NAVIGATION OR COMMUNICATION SYSTEMS, AIR TRAFFIC CONTROL SYSTEMS, DIRECT LIFE SUPPORT MACHINES, OR WEAPONS SYSTEMS, IN WHICH THE FAILURE OF THE SOFTWARE OR SYSTEM COULD LEAD DIRECTLY TO DEATH, PERSONAL INJURY, OR SEVERE PHYSICAL OR ENVIRONMENTAL DAMAGE ("HIGH RISK ACTIVITIES"). THE COPYRIGHT HOLDERS SPECIFICALLY DISCLAIM ANY EXPRESS OR IMPLIED WARRANTY OF FITNESS FOR HIGH RISK ACTIVITIES.

TRADEMARKS

QuickScan is a trademark and Captiva is a registered trademark of Captiva Software Corporation.

KODAK is a trademark of Eastman Kodak Company.


How to buy FormDesigner 8.0

How to buy ABBYY FormDesigner 9.0?

For more information about ABBYY's complete data management and capture solutions visit www.abbyy.com and www.FlexiCapture.com.

To order your copy of ABBYY FlexiCapture 9.0 or to get additional information about the product please contact us at registration@abbyy.com

You may purchase additional fonts and multilingual font support at www.paratype.com/shop/.


ABBYY Offices

ABBYY Russia | Phone: +7 495 783 3700 Fax: +7 495 783 2663 Mailing address: Russia, 127273, Moscow, P.O. box 32, ABBYY Address of business: Moscow, ul. Otradnaya 2B, str. 6, Otradny Business Centre E-mail: sales@abbyy.ru Technical support: support@abbyy.ru Web: http://www.abbyy.ru MAP
ABBYY USA | Tel.: +1 408-457-9777 Fax: +1 408-457-9778 Address: 880 North McCarthy Blvd., Suite #220 Milpitas, CA 95035, USA E-mail: sales@abbyyusa.com Technical support: support@abbyyusa.com Web: http://www.abbyy.com
ABBYY Ukraine | Phone: +380 44 490 9999 Fax: +380 44 490 9461 Address: P.O. Box 23, 02002 Kiev, Ukraine E-mail: forms@abbyy.ua Support phone: +380 44 490 9463 Support e-mail: formsupport@abbyy.ua Web: http://www.abbyy.ua
ABBYY Europe GmbH | Phone: +49 (0)89 511 159 0 Fax: +49 89 (0)511 159 59 Address: Elsenheimerstraße 49, 80687 Munich, Germany E-mail: sales_eu@abbyy.com Support e-mail: support_eu@abbyy.com Web: http://www.abbyy.com http://www.abbyy.de http://www.france.abbyy.com
ABBYY UK Ltd. | Phone:+0870 600 0231 Fax: +01344 392 611 Address: Abbey House, Grenville Place, Bracknell RG12 1BP, United Kingdom E-mail: sales_UK@abbyy.com Support E-mail: support_eu@abbyy.com Web: http://www.abbyy.co.uk
ABBYY Japan | Phone:+81-42-795-1901 Fax: +81-42-795-1901 Address: 658-1 Tsuruma, Machida-shi, Tokyo 194-8510 E-mail: sales@abbyyusa.com Support E-mail: support@abbyyusa.com Web: http://www.abbyy.com
ABBYY Taiwan | Phone:+886-2-2655-0556 Fax: +886-2-2655-2339 Address: Room #524, 5Fl, Building E, No.19-11, Sanchong road, Nangang District, Taipei 115, Taiwan, R.O.C. E-mail: sales@abbyyusa.com Support E-mail: support@abbyyusa.com Web: http://www.abbyy.com


Technical Support

Should you have any questions regarding the way in which ABBYY FormDesigner 9.0 works, first of all consult the documentation supplied with the software (User's Guide and Help). You may also wish to browse the technical support section on our website www.abbyy.com.

Our technical support service experts will need the following information to answer your question competently:

  • Your first and last name

  • Your organization name

  • Your telephone number (or fax, or e-mail)

  • The serial number of your ABBYY FlexiCapture package

  • Build number (see Help/About…/Build)

  • General description of your problem and the full error message text (if there was one)

  • Your computer and processor type

  • The version of your Windows operating system

You may supply us with any other information you consider important.

You can get some information automatically by clicking the System Info… button in the About ABBYY FormDesigner 9.0 dialog box (menu Help).

Important! Only registered users are eligible for technical support. You can register your copy of the application at our w ebsite.

ABBYY Offices


Font

You can edit the text using the Font dialog box (Text shortcut menu in editing mode > Font).

Show me the Font dialog box

Item

Description

Font tab

Font

Selects a font for the selected text fragment.

Font style

Selects a font style for the selected text fragment:

  • Regular
  • Italic
  • Bold
  • Bold Italic

Size

Selects a font size for the selected text fragment.

Color

Selects a color for the selected text fragment*.

Effects

Selects text effects - underline or strikethrough.

Character spacing tab

Spacing

Changes the spacing in the selected text fragment.

By

Increases or decreases intervals between characters in the selected text fragment (i.e. stretches or compresses the text).

Position

Sets the position of the selected text fragment: normal, above, or below the rest of the text.

*- The list of colors depends on the form type (black-and-white or color background).

Note: Additional fonts for various languages can be purchased at http://www.paratype.com/shop/.


Glossary of Terms

A

ABBYY FormDesigner

ABBYY FormDesigner is a software application for creating machine-readable forms that will be processed using ABBYY FlexiCapture. Form design is an important stage of form creation, because all the other stages –– scanning, recognition, verification, and export –– depend on the "correctness" of the initial form and its suitability for machine processing.

Anchor

Element of a machine-readable form that is used for matching a form with its template and determining its orientation during processing.

B

black and white linear form

These forms usually have no background. All field borders (character cells, checkmark fields and other form elements) are made up of solid black lines.

black and white form with raster backgrounds

Fields on such forms are simply white spaces (usually rectangles) on a raster background. The background is made up of individual dots.

black and white form with raster borders

These forms have no background. All field borders (borders of character cells, checkmark fields and other form elements) are made up of raster lines, i.e. sequences of small black dots.

C

Character cell

Small rectangle into which only one character should be entered (e.g. a letter or a digit).

Checkmark field

Element of a machine-readable form (usually a check box) in which a mark (e.g. a check, a cross, etc.) is made by the person filling out the form.

D

Dropout form

These forms have a light color background with white rectangles serving as character cells, checkmark fields, etc.

E

Entry field

Element of a machine-readable form into which text will be entered by the person filling out the form.

F

Frame

Element of a machine-readable form that encloses an area on a form.

Form

A document consisting of one or more pages and filled in by hand or using a printer or typewriter.

Form creation

Process consists of the following stages: analysis, design and printing.

Form identifier

Element of a machine-readable form that allows the forms processing program to identify each form.

Form publication

When publishing a form you assign it Published status, which prohibits changes to the form. At the same time the form will be checked for machine-readability and the form identifiers are assigned a unique number (the same for all the identifiers).

Form sample

A sample that can be used to create new forms in ABBYY FormDesigner. Samples are stored as binary files and have the extension *.dtf.

G

Group of elements

Element of a machine-readable form which combines several logically connected elements.

L

Line separator

Element of a machine-readable form in the shape of a vertical or horizontal black line.

M

Machine-readable form

A form that can be processed by computer.

Machine-readability

Suitability of a form for automated processing.

P

Page identifier

Element of a machine-readable form that allows the forms processing program to identify each page of a form.

Page sample

A sample that can be used to create new pages in ABBYY FormDesigner. Samples are stored as binary files and have the extension *.ptf.

Picture

Element of a machine-readable form that contains an image.

R

Reference mark

Element of a machine-readable form that is used for matching a form with its template and determining its orientation during processing.

Requirements for machine-readable forms

Requirements for the type and appearance of the form, as well as for the positioning of form elements. When these requirements are observed the highest possible recognition quality is achieved.

T

Table

Element of a machine-readable form that contains columns of elements of the same type.

Text

Element of a machine-readable form that contains descriptions and explanatory text, such as field names, instructions on how to fill out the form, etc.

X

XFD format

XML Form Definition (*.xfd) is the format of form files created in ABBYY FormDesigner. XML Form Definition files can be automatically converted into templates for ABBYY FlexiCapture.


Glossary of Terms

A B C D E F G L M P R T X


Properties Dialog Box: Anchor

Element Properties Dialog Box: Anchor

Item | Description
Type | Sets the type of anchor that will be used on the form. One form may contain anchors of only one type.
Size | Sets the size of the anchor: the size of each side of the black square, or the size of each side of the corner.
Line width (corners only) | Sets the line width of the sides of the corner.


Form Properties Dialog Box

Item | Description
Author | The name of the person who created the form.
Status | Form status: Draft if changes are allowed on the form, and Published if the form is read-only.
Date published | The date of publication of the form.
Form identifier | The value of the form identifier.
File | The path to the file containing the form.


Page Settings Dialog Box: General

Item | Description
Name | Sets the name of a page.
Min occurs | Sets the minimum number of occurrences of the current page in the form.
Min occurs | Sets the maximum number of occurrences of the current page in the form.
Page identifier | Displays the value of the page identifier.


Page Settings Dialog Box: Size

Item | Description
Page Size | Select one of the standard page sizes from the drop-down list (A3, A4, or A5), or set your own custom page size. To set your own page size, select the Custom size item in the list and specify the required width and height in the corresponding fields.
Width | Sets page width.
Height | Sets page height.
Orientation |
Portrait | Sets portrait page orientation.
Landscape | Sets landscape page orientation.
Margins |
Top | Sets the width of the top margin.
Bottom | Sets the width of the bottom margin.
Left | Sets the width of the left margin.
Right | Sets the width of the right margin.


Page Settings Dialog Box: Color

Property

Description

Style

Sets the form style:

  • Gray dropout form

  • Black and white form

  • Orange dropout form

  • Red dropout form

  • Green dropout form

Page Background*

Color*

Selects a page background color from the drop-down list.

Note: Color can only be selected for color dropout forms. White is the default color for black and white forms.

Size*

Use this list to select the area covered with the background color. You have two choices:

  • Whole page (all the page except for the form elements will be filled in).

  • Inside margins (the page will be filled in but the page margins and the form elements will be left white).

* - This property can only be specified only for dropout forms.


Properties Dialog Box: Alignment

Element Properties Dialog Box: Alignment

Item

Description

Horizontal

Aligns the text within the element horizontally:

  • Center - centers the text horizontally

  • Left - aligns the text to the left edge of the element

  • Right - aligns the text to the right edge of the element

Vertical

Aligns the text within the element vertically:

  • Bottom - aligns the text to the bottom edge of the element

  • Center - centers the text vertically

  • Top - aligns the text to the top edge of the element

Orientation

Sets the orientation of the text.

  • Normal (horizontal) - the text will be placed horizontally, left to right
  • Vertical (top-to-bottom) - the text will be placed vertically, top to bottom
  • Vertical (bottom-to-top) - the text will be placed vertically, bottom to top


Properties Dialog Box: Background

Element Properties Dialog Box: Background

Item | Description
Same as form background | Makes the background of the element the same color as the background of the form.
Other | Selects a background color for the element from the drop-down list. The range of available colors depends on the type of your form (black and white or color).


Properties Dialog Box: Checkmark Field

Element Properties Dialog Box: Checkmark Field

Item

Description

Type

The shape of the checkmark field:

  • Square

  • Circle

Position

Sets the position of the checkmark field in relation to the explanatory text:

  • Left of Text – checkmark field to the left of the text

  • Right of Text - checkmark field to the right of the text

  • Above Text - checkmark field above the text

  • Below Text - checkmark field below the text

Size

A drop-down list containing predefined field sizes (3.5x3.5 4x4 4.5x4.5, or 5x5 mm).

Line width

Sets the width of field borders (ranging from 0.4 mm to 0.8 mm).

Standoff

Sets the gap between the checkmark field and the text explanatory text (ranging from 2 mm to 7 mm).

Color

Selects a field border color from the drop-down list.


Диалог Свойства: Поле метки

Element Properties Dialog Box: Date

Item

Description

Date format

Specify date format:

  • DD.MM.YYYY
  • MM.DD.YYYY
  • YYYY.MM.D

Digits in year

Specify cells number to record a year:

  • 2 (2 cells will be available)
  • 4 (4 cells will be available)

Separator

Select a separator to record dates:

  • .
  • /
  • -

Color

Selects a separator color from the drop-down list*.

Tip text

Selects a tip color. The tip will be typed in the Date Field of the form: each letter of the tip will be placed in the corresponding cell.

Color

Selects a tip color from the drop-down list*.

Font

Selects a tip font.

Auto size font

Selects font size for tips automatically, according to the height of character cells of the field.

* - The range of available colors depends on the type of your form (black and white or color).

Note: You can purchase additional fonts for multiple languages at http://www.paratype.com/shop/.


Properties Dialog Box: Marking

Element Properties Dialog Box: Marking

Item

Description

Marking type

Sets the marking type for the text:

  • Letters in Separate Dotted Frames

  • Letters in Separate Frames

  • Letters on a Comb

  • Text in a Frame with a Comb

  • Letters in Frames

Cell size

Sets the size of the character cells:

  • Normal – standard cell size (4x5 mm)

  • Large – maximum cell size (5x6.5 mm)

  • Small – minimum cell size (3x4 mm)

Bold marking line (for all marking types except Letters in Separate Dotted Frames)

Changes the frame of the cells to bold.

Marking color

Selects a marking color from the drop-down list.

Multiple rows

Adds multiple rows to the entry field. (Only for entry field element).


Properties Dialog Box: Tip

Element Properties Dialog Box: Tip

Item | Description
Text | Sets the tip text. The tip will be typed in the entry field of the form: each letter of the tip will be placed in the corresponding cell.
Color | Selects a tip color from the drop-down list*.
Font | Selects a tip font.
Auto size font | Selects font size for tips automatically, according to the height of character cells of the field.

* - The range of available colors depends on the type of your form (black and white or color).

Note: You may purchase additional fonts and multilingual font support at www.paratype.com/shop/.


Properties Dialog Box: Linked Field

Element Properties Dialog Box: Linked Field

Item | Description
Linked field | By default, whenever you create an element on your form, a field is created within the document structure to which this element is linked. To link your element to another field of the same type, select the name of the field from the drop-down list.


Properties Dielog Box: Text

Element Properties Dialog Box: Text

Item | Description
Text | The text within the element.
Font | The font used for the text within the element. To change the font, its size and style (italic, bold, underline, etc.) click the Change … button and in the Font dialog box that appears, select the required font, font size and style.
Font color | Selects a text color from the drop-down list.
Word wrap | Wraps the lines of the text without breaking words.

Note: You may purchase additional fonts and multilingual font support at www.paratype.com/shop/.


Properties Dialog Box: Line

Element Properties Dialog Box: Line

Item

Description

Width

Sets line width (ranging from 0.3 mm to 6 mm).

Style

Sets the style of the line:

  • Dashes

  • Dots

  • Solid

Color

Selects a line color from the drop-down list.


Properties Dialog Box: Element

Element Properties Dialog Box: Element

Item | Description
Type | The type of the element.
Position & Size |
Left | Sets the width of the left margin.
Top | Sets the width of the top margin.
Width | Sets page width.
Height | Sets page height.


Properties Dialog Box: Identifier

Element Properties Dialog Box: Identifier

Item

Description

Type

Sets the type of form identifier:

  • Barcode Only

  • Barcode with Digit

  • Digits Only

Barcode type

Selects the type of barcode if the identifier type is set to Barcode Only or Barcode with Digits and if the Custom value option is selected.

Available barcode types:

  • EAN13
  • EAN8

If the Custom value option is not selected, the Barcode type will be grayed out. The EAN13 barcode type will be used.

Orientation

Sets the orientation of the barcode:

  • Horizontal
  • Vertical

Value

The value of the Identifier

Identifier values can only be changed if the Custom value option is selected. For EAN13, custom values must contain 12 digits and for EAN8 custom values must contain 7 digits. Longer or shorter values or characters other than digits are not allowed. For EAN13, an additional control digits is added at the beginning of the string (outside the barcode itself) and for EAN8 and additional control digit is added at the end of the string within the barcode body.

If the Form identifier pr Page identifier option is selected, the identifier will be assigned a value automatically when the form is published. Before a form is published, it has Editable status and no identifier value is yet assigned.

Form identifier

Uses an element as a form identifier.

Page identifier

Uses an element as an identifier for the current page.

Custom value

Allows custom values for an identifier. This option is not available for Digits Only identifiers.


Properties Dialog Box: Number

Element Properties Dialog Box: Number

Item

Description

Decimal places

Select decimal places quantity to record decimal numbers.

Separator

Select a separator to record numbers:

  • .
  • /
  • -

Color

Selects a separator color from the drop-down list*.

Tip text

Selects a tip color. The tip will be typed in the Numeric Field of the form: each letter in the corresponding cell.

Color

Selects a tip color from the drop-down list*.

Font

Selects a tip font.

Auto size font

Selects font size for tips automatically, according to the height of character cells of the field.

* - The range of available colors depends on the type of your form (black and white or color).

Note: You may purchase additional fonts and multilingual font support at www.paratype.com/shop/.


Properties Dialog Box: Picture

Element Properties Dialog Box: Picture

Item

Description

Size mode

Changes the size of the element in one of three modes:

  • Clip – changes the size of the element but does not change the size of the picture and its proportions.
    The picture itself cannot be enlarged in this mode.
    If the element becomes smaller than the picture, a part of the picture will become invisible on the form.

  • Stretch – changes the size of the element and shrinks or stretches the picture depending on the size of the element. The entire image will always be displayed, but the image proportions will not be preserved.

  • Zoom – changes the size of the element and enlarges or reduces the picture size in proportion to the size of the element. The entire image will always be displayed, and the image proportions will be preserved.

Alignment

Aligns the image inside the element:

  • Top Left – places the picture in the top left corner of the element.

  • Top Right – places the picture in the top right corner of the element.

  • Center – places the picture in the center of the element.

  • Bottom Left – places the picture in the bottom left corner of the element.

  • Bottom Right – places the picture in the bottom right corner of the element.

Source

Specifies the source image file.

To specify the source file from which the picture will be loaded:

  1. Click the "…" button.

  2. In the dialog box that appears, browse to the file containing the picture you wish to add to the form.

The following image formats are supported:

  • Bitmap Files (*.bmp)
  • DCX Files (*.dcx)
  • PEG Files (*.jpg; *.jpeg; *.jfif)
  • PCX Files (*.pcx)
  • PNG Files (*.png)
  • TIFF Files (*.tif; *.tiff)
  • Windows Enhanced Metafiles (*.emf)


Диалог Свойства: Поле метки

Element Properties Dialog Box: Table

Item | Description
Cell spacing | Sets the distance between table cells.
Use first row as header | If this option is selected, the first row will contain the names of the columns.


Paragraph Properties

The main paragraph properties can be viewed in the Paragraph properties dialog box (Text shortcut menu in editing mode > Paragraph properties).

Show me the Paragraph properties dialog box

Item | Description
General |
Alignment | Aligns the text with the left border or right border, centers the text, or fits to page width.
Indentation |
Before text | Sets left indentation.
After text | Sets right indentation.
Spacing |
Before | Sets the space before the paragraph.
After | Sets the space after the paragraph.
Line spacing | Changes the interval between text lines.